/* Game Urls */
var GameUrls = {
	// public website urls
	nhlComWapUrl:"http://m.nhl.com",
	nhlComUrl:"http://www.nhl.com/index.htm",
	tosUrl:"http://www.nhl.com/league/ext/mobile/nokia_tos.html",
	faqUrl:"http://www.nhl.com/ice/m_page.htm?id=63931",
	feedbackUrl:"https://link.nhl.com/link3/gcl/gcl-support.nsf/m?openform",
	neulionUrl:"http://www.neulion.com",
	// debug urls
	debug:false,
	debugUrlBase:"http://localhost:81/temp/nhl",
	// config url
	configUrl:"http://nhlmobile.cdnak.neulion.com/config/nokia_nhlgc_2010.xml",
	// loc urls
	locSeverInit:"http://nhliphone.neulion.com/",
	locServer:"http://nhliphone.neulion.com/",
	//ads url
	adMarvelAdUrl:"http://ads.admarvel.com/fam/phoneGetAd.php",
	// urls
	gameDayInfoUrlBase:"",
	gameInfoUrlBase:"http://nhliphone.neulion.com/data",
	gameFavoriteInfoUrlBase:"http://nhliphone.neulion.com/data" + "/team",
	gamePlayByPlayUrlBase:"http://nhliphone.neulion.com/data",
	gameSummaryUrlBase:"http://live.nhl.com/GameData",
	gameHomeRosterUrlBase:"http://live.nhl.com/GameData",
	gameAwayRosterUrlBase:"http://live.nhl.com/GameData",
	gameGalleryUrlBase:"http://www.nhl.com/ice/app?service=page&page=CFPhotoGalleryJS&game=",
	standingsUrlBase:"http://www.nhl.com/ice/app?service=page&page=CFStandingsJS",
	playersUrlBase:"http://www.nhl.com/ice/app?service=page&page=CFPlayerSearchJS",
	playerProfileUrlBase:"http://www.nhl.com/ice/app?service=page&page=CFPlayerStatsTabJS&id=",
	playerRecentPlayUrlBase:"http://www.nhl.com/video/app?service=page&page=NLPlayerXML&pg=1&ps=10&pid=",
	gamePreviewUrlBase:"http://www.nhl.com/ice/app?service=page&page=CFGamePreviewJS&id=",
	gamePreview2UrlBase:"http://www.nhl.com/ice/app?service=page&page=CFGamePreview2JS&id=",
	newsUrlBase:"http://www.nhl.com/prototype/rss/neulionnewsfeed.xml",
	twitterUrlBase:"http://twitter.com/statuses/user_timeline/50004938.rss",
	watchUrlBase:"http://nhliphone.cdnak.neulion.com/config/vodfeed.xml",
	gameRecapUrlBase:"http://www.nhl.com/ice/app?service=page&page=CFGameRecapJS&id=",
	//elisa
	elisahighlightsUrlBase:"http://www.nhl.com/feeds/elisa/neulion/playervideo.xml",
	elisaPalyerStatsUrlBase:"http://www.nhl.com/feeds/elisa/neulion/playerstats.xml",
	elisaTopStoryUrlBase:"http://www.nhl.com/feeds/elisa/neulion/quick_picks.xml",
	elisaNewsUrlBase:"http://www.nhl.com/feeds/elisa/neulion/weekly.xml",
	//winner classic
	wcNewsUrlBase:"http://www.nhl.com/feeds/neulion/winterclassic2011.xml",
	wcPhotoURLBase:"http://nhl.com/ice/app?service=page&page=CFPhotoGalleryJS&id=11674",
	wcWallpaper1:"http://nhliphone.cdnak.neulion.com/wc/wallpaper/NOKIA_360x640_1.png",
	wcwallpaper2:"http://nhliphone.cdnak.neulion.com/wc/wallpaper/NOKIA_360x640_2.png",
	// all-star
	asNewsUrlBase:"http://www.nhl.com/feeds/neulion/allstar2011.xml",
	asPhotoURLBase:"http://nhl.com/ice/app?service=page&page=CFPhotoGalleryJS&id=7216",
	asWallpaper:"http://nhliphone.cdnak.neulion.com/as/NOKIA_360x640.png",
	// Heritage Classic
	hcNewsUrlBase:"http://www.nhl.com/feeds/neulion/heritageclassic2011.xml",
	hcPhotoURLBase:" http://nhl.com/ice/app?service=page&page=CFPhotoGalleryJS&id=16341",
	hcWallpaper:"http://nhliphone.cdnak.neulion.com/hc/Nokia_360x640.png",
	
	getConfigUrl:function() {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/Config.xml";
		var url = GameUrls.configUrl;
		return url;
	},
	getAdUrl:function() {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/Ad.xml";
		var url = SplashPage.config.quattroServer;
		var quattrowirelessID = SplashPage.config.quattrowirelessID;
		var quattrowirelessSiteID = SplashPage.config.quattrowirelessSiteID;
		url += "?" + "pid=" + quattrowirelessID + "&" + "sid=" + quattrowirelessSiteID + "&";
		return url;
	},
	// useless now
	getGameDayInfoUrl:function(yyyyStr, MStr) {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/gameday_" + yyyyStr + "_" + MStr + ".json";
		var url = GameUrls.gameDayInfoUrlBase + "/gameday_" + yyyyStr + "_" + MStr
				+ ".json";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
		return url;
	},
	
	getGameInfoUrl:function(yyyyMMddStr) {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/" + yyyyMMddStr + ".xml";
		if (SplashPage.config.testing) {
			if (SplashPage.config.testing=="true") {
				if (yyyyMMddStr=="20100701"||yyyyMMddStr=="20100702"||yyyyMMddStr=="20100703"||yyyyMMddStr=="20100704"){
					yyyyMMddStr += "_test";
					var url = GameUrls.gameInfoUrlBase + "/" + yyyyMMddStr + ".xml";
					url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
					return url;
				}
			}
		}
		var url = GameUrls.gameInfoUrlBase + "/" + yyyyMMddStr;
		if (SplashPage.config&&SplashPage.config.schedSuffix) {
			var schedSuffix = SplashPage.config.schedSuffix;
			url += schedSuffix;
		}
		url += ".xml";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
		return url;
	},
	
	getFavoriteGameInfoUrl:function(favoriteTeam,
			yyyy_MMStr) {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/" + yyyy_MMStr + ".xml";
		var url = GameUrls.gameFavoriteInfoUrlBase + "/" + favoriteTeam + "/"
				+ yyyy_MMStr;
		if (SplashPage.config&&SplashPage.config.schedSuffix) {
			var schedSuffix = SplashPage.config.schedSuffix;
			url += schedSuffix;
		}
		url += ".xml";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
		return url;
	},
	
	getGamePlayByPlayUrl:function(gameSeasonStr,
			gameType, gameNumber) {
	
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/PlayByPlay.json";

		var yyyyStr = gameSeasonStr.substring(0, 4);
		var gameTypeStr = GameUrls.formatGameType(gameType);
		var gameNumberStr = GameUrls.formatGameNumber(gameNumber);
		var subfolderStr = yyyyStr + "/";
		if (yyyyStr == "2009")
			subfolderStr = "";
		var url = GameUrls.gamePlayByPlayUrlBase + "/playbyplay/" + subfolderStr + gameTypeStr + "_"
				+ gameNumberStr;
		if (SplashPage.config&&SplashPage.config.pbpSuffix) {
			var pbpSuffix = SplashPage.config.pbpSuffix;
			url += pbpSuffix;
		}
		url += ".json";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);		
		return url;
	},
	
	getGameSummaryUrl:function(gameSeasonStr, gameType,
			gameNumber) {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/Summary.json";
		var yyyyStr = gameSeasonStr.substring(0, 4);
		var gameTypeStr = GameUrls.formatGameType(gameType);
		var gameNumberStr = GameUrls.formatGameNumber(gameNumber);
		var gameStr = yyyyStr + gameTypeStr + gameNumberStr;
		var url = GameUrls.gameSummaryUrlBase + "/" + gameSeasonStr + "/" + gameStr
				+ "/Summary.json";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);

		return url;
	},
	
	getGameHomeRosterUrl:function(gameSeasonStr,
			gameType, gameNumber) {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/HomeRoster.json";
		var yyyyStr = gameSeasonStr.substring(0, 4);
		var gameTypeStr = GameUrls.formatGameType(gameType);
		var gameNumberStr = GameUrls.formatGameNumber(gameNumber);
		var gameStr = yyyyStr + gameTypeStr + gameNumberStr;
		var url = GameUrls.gameHomeRosterUrlBase + "/" + gameSeasonStr + "/"
				+ gameStr + "/HomeRoster.json";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
		return url;
	},
	
	getGameAwayRosterUrl:function(gameSeasonStr,
			gameType, gameNumber) {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/AwayRoster.json";
		var yyyyStr = gameSeasonStr.substring(0, 4);
		var gameTypeStr = GameUrls.formatGameType(gameType);
		var gameNumberStr = GameUrls.formatGameNumber(gameNumber);
		var gameStr = yyyyStr + gameTypeStr + gameNumberStr;
		var url = GameUrls.gameAwayRosterUrlBase + "/" + gameSeasonStr + "/"
				+ gameStr + "/AwayRoster.json";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
		return url;
	},
	
	getGameGalleryUrl:function(gameSeasonStr, gameType,
			gameNumber) {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/Gallery.json";
		var yyyyStr = gameSeasonStr.substring(0, 4);
		var gameTypeStr = GameUrls.formatGameType(gameType);
		var gameNumberStr = GameUrls.formatGameNumber(gameNumber);
		var gameStr = yyyyStr + gameTypeStr + gameNumberStr;
		var url = GameUrls.gameGalleryUrlBase + gameStr;
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
		return url;
	},
	
	getStandingsUrl:function() {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/Standings.json";
		var url = GameUrls.standingsUrlBase;
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
		return url;
	},
	
	getPlayersUrl:function() {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/Players.json";
		var url = GameUrls.playersUrlBase;
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
		return url;
	},
	
	getPlayerProfileUrl:function(playerId) {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/Player.json";
		var url = GameUrls.playerProfileUrlBase + playerId;
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
		
		return url;
	},
	
	getPlayerRecentPlayUrl:function(playerId) {		
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/Player.xml";
		var url = GameUrls.playerRecentPlayUrlBase + playerId;
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
		
		return url;
	},
	
	getRecentPlayVideoUrl:function(originalUrl, yyyyMMddStr) {	
		//console.log("org:"+originalUrl);
		var url = "";
		var seasonStr = GameUrls.getVideoSeason(originalUrl);
		var videoBaseName = GameUrls.getVideoBaseName(originalUrl);
		var gameTypeNumber = GameUrls.getGameTypeNumber(videoBaseName);
		var gameNumber = GameUrls.getGameNumber(videoBaseName);
		
		if (SplashPage.config.locPlayerHighlights2009 && seasonStr == "2009") {	
		   var prefixUrl2009 = SplashPage.config.locPlayerHighlights2009;
		   if (prefixUrl2009[prefixUrl2009.length-1]!="/")
			  prefixUrl2009 += "/";
		   url += prefixUrl2009 + seasonStr + "-mobile/" + yyyyMMddStr + "/" + gameTypeNumber
					+ "/" + videoBaseName + "/" + videoBaseName + "_350k.flv";
		} else if (SplashPage.config.locPlayerHighlights && seasonStr != "2009") {
			var prefixUrl = SplashPage.config.locPlayerHighlights;
			if (prefixUrl[prefixUrl.length-1]!="/")
			    prefixUrl += "/";
			url += prefixUrl + yyyyMMddStr.substr(0,4) + "/" + yyyyMMddStr.substr(4,2) + "/" +yyyyMMddStr.substr(6,2)
				     + "/" + gameNumber + "/nokia/" + videoBaseName + "_" + (NHL.videoQuality==1?"650":"350") + "K_16x9.flv";
		} else {
			url = originalUrl;
		}
        //console.log("new:"+url);
		return url;
	},
	
	getElisaPlayVideoUrl:function(originalUrl, yyyyMMddStr, from) {
		/*Player Video:
		rtmp://flash.onthefly.nhl.com/ondemand/NHLHighlights/mp4:20092010/02/0806/2_806_col_dal_0910_discrete_DAL69_save_1600K_16x9.mp4
		Elisa Quicks:
		rtmp://flash.onthefly.nhl.com/ondemand/NHLHighlights/mp4:/20102011/01/0085/1_85_tor_det_1011_h_finland_playofnight_1600K_16x9.mp4
		Elisa Hightlights:
		rtmp://flash.onthefly.nhl.com/ondemand/NHLHighlights/mp4:20092010/02/0872/2_872_njd_phi_0910_discrete_PHI355_goal_1600K_16x9.mp4
		rtmp://flash.onthefly.nhl.com/ondemand/NHLHighlights/mp4:20102011/02/0019/2_19_phi_stl_1011_a_discrete_STL805_hit_1600K_16x9.mp4
		rtmp://flash.onthefly.nhl.com/ondemand/NHLHighlights/20092010/02/0482/2_482_fla_nyi_0910_discrete_NYI233_goal_800K_16x9.flv
		rtmp://flash.onthefly.nhl.com/ondemand/NHLHighlights/20072008/03/0214/IH_NHL_2008_R_214_MTL@PHI_700k_0006_PHI49_Hit.flv		
		*/

		var url='';
		if(from == 'highlight'|| from == 'playofday') {
			if (!SplashPage.config.locFinlandPlayerHighlights) {
				return originalUrl;
			}
			url = SplashPage.config.locFinlandPlayerHighlights;
		}
		else if(from =='playofweek') {
		   	if(!SplashPage.config.locFinlandPOW){
			    return 	originalUrl;
			}
			url = SplashPage.config.locFinlandPOW;
		}

		if (url[url.length-1]!="/")
			url += "/";
		var seasonStr = GameUrls.getVideoSeason(originalUrl);
		var videoBaseName = GameUrls.getElisaVideoBaseName(originalUrl);
		var gameId = GameUrls.getElisaGameId(originalUrl);
		var gameYear = yyyyMMddStr.substr(0,4);
		var gameMonth = yyyyMMddStr.substr(4,2);
		var gameDay = yyyyMMddStr.substr(6,2);
		
		/*
		Rule of generation:
		   <prefix>/<game_date_YYYY>/<game_date_MM>/<game_date_DD>/<game_id>/nokia/<filename> 
		   where <filename> is composed from the existing file name. we have 250K and 650K
		Heighlight and playofday URL:
		http://nhl.cdn.neulion.net/u/nhlmobile/vod/nhl/2010/10/14/42/nokia/2_42_tbl_phi_1011_h_discrete_PHI463_goal_650K_16x9.flv
		Playofwee URL;
		http://nhl.cdn.neulion.net/u/nhlmobile/vod/nhl/finland/2_67_phx_ana_1011_h_finland_playofweek_250K_16x9.flv
		*/
        if(from == 'highlight' || from == 'playofday')
			url += gameYear + "/" + gameMonth + "/" + gameDay + "/" + gameId + "/nokia/" + videoBaseName + "_650K_16x9.flv";
		else if(from == 'playofweek')
		    url += videoBaseName + "_650K_16x9.flv";

		return url;	
	},

	getVideoSeason:function(originalUrl) {
		var shortSeasonStr = null;
		if (originalUrl) {
			var strArray = originalUrl.split("/");
			if (strArray && strArray.length >= 4) {
				var seasonStr = strArray[strArray.length - 4];
				if (seasonStr) {
					shortSeasonStr = seasonStr.substr(seasonStr.length-8, 4);				
				}
			}

		}
		return shortSeasonStr;
	},
	
	getElisaGameId:function(originalUrl) {
		var gameId = null;
		if (originalUrl) {
			var strArray = originalUrl.split("/");
			if (strArray && strArray.length >= 4) {
				var gameId = strArray[strArray.length - 2];
			}
		}		
		var gameIntId = parseInt(gameId,10);		
		return gameIntId.toString();
	},
	
	getElisaVideoBaseName:function(originalUrl) {
		var videoBaseName = '';
		if (originalUrl) {
			var lastSlashIndex = originalUrl.lastIndexOf('/');
			if (lastSlashIndex != -1) {
				var videoName = originalUrl.substring(lastSlashIndex+1);				
				var videoNameArray = videoName.split("_");
				//remove last two item
				videoNameArray.pop();
				videoNameArray.pop();
				videoBaseName = videoNameArray.join("_");
			}
		}
		return videoBaseName;
	},

	getVideoBaseName:function(originalUrl) {
		var videoBaseName = '';
		if (originalUrl) {
			var lastSlashIndex = originalUrl.lastIndexOf('/');
			if (lastSlashIndex != -1) {
				var videoName = originalUrl.substring(lastSlashIndex+1);
				var videoNameArray = videoName.split("_");				
				var removeCount = videoNameArray.length-9;
				for(var i=0;i<removeCount;i++){
					videoNameArray.pop();
				}
				videoBaseName = videoNameArray.join("_");
			}
		}
		return videoBaseName;
	},

	getGameTypeNumber:function(videoBaseName) {
		var gameTypeNumber = '';
		if (videoBaseName) {
			var videoBaseNameArray = videoBaseName.split("_");
			if (videoBaseNameArray&& videoBaseNameArray.length >= 2) {
				gameTypeNumber = "";
				for (var i = 0; i < 2; i++) {
					var videoNameBaseElement = videoBaseNameArray[i];
					gameTypeNumber += videoNameBaseElement;
					if (i < 1)
						gameTypeNumber += "_";
				}
			}
		}
		return gameTypeNumber;
	},
	
	getGameNumber:function(videoBaseName) {
		var gameNumber = '';
		if (videoBaseName) {
			var videoBaseNameArray = videoBaseName.split("_");
			if (videoBaseNameArray && videoBaseNameArray.length >= 2) {
				gameNumber = videoBaseNameArray[1];
			}
		}
		return gameNumber;
	},
	
	getGamePreviewUrl:function(gameSeasonStr, gameType, gameNumber) {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/Preview.json";
		var yyyyStr = gameSeasonStr.substring(0, 4);
		var gameTypeStr = GameUrls.formatGameType(gameType);
		var gameNumberStr = GameUrls.formatGameNumber(gameNumber);
		var gameStr = yyyyStr + gameTypeStr + gameNumberStr;
		var url = GameUrls.gamePreviewUrlBase + gameStr;
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
		return url;
	},
	
	getGamePreview2Url:function(gameSeasonStr, gameType, gameNumber) {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/Preview2.json";
		var yyyyStr = gameSeasonStr.substring(0, 4);
		var gameTypeStr = GameUrls.formatGameType(gameType);
		var gameNumberStr = GameUrls.formatGameNumber(gameNumber);
		var gameStr = yyyyStr + gameTypeStr + gameNumberStr;
		var url = GameUrls.gamePreview2UrlBase + gameStr;
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
		return url;
	},
	
	getNewsUrl:function() {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/News.xml";
		var url = GameUrls.newsUrlBase;
		return url;
	},

	getTwitterUrl:function() {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/Twitter.rss";
		var url = GameUrls.twitterUrlBase;
		return url;
	},

	getWatchUrl:function() {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/Watch.xml";
		var url = GameUrls.watchUrlBase;
		return url;
	},

	getGameRecapUrl:function(gameSeasonStr, gameType, gameNumber) {
		if (GameUrls.debug)
			return GameUrls.debugUrlBase + "/Recap.json";
		var yyyyStr = gameSeasonStr.substring(0, 4);
		var gameTypeStr = GameUrls.formatGameType(gameType);
		var gameNumberStr = GameUrls.formatGameNumber(gameNumber);
		var gameStr = yyyyStr + gameTypeStr + gameNumberStr;
		var url = GameUrls.gameRecapUrlBase + gameStr;
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);
		return url;
	},
	
	getElisaHighlightsUrl:function(){
	  	if(GameUrls.debug)
		    return GameUrls.debugUrlBase + '/player_videos.xml';
		var url = GameUrls.elisahighlightsUrlBase;
		return url;
	},
	getElisaStatsUrl:function(){		
		if(GameUrls.debug)
		    return GameUrls.debugUrlBase + '/player_stats.xml';
		return GameUrls.elisaPalyerStatsUrlBase;
	},	
	getElisaTopStoryUrl:function(){
	   if(GameUrls.debug)	
	       return GameUrls.debugUrlBase + '/quick_picks.xml';
	   return GameUrls.elisaTopStoryUrlBase;
	},
	getElisaNewsUrl:function(){
	   if(GameUrls.debug) 	
	   		return GameUrls.debugUrlBase + '/top_story.xml';		
	   return GameUrls.elisaNewsUrlBase;	   
	},
	formatGameType:function(gameType) {
		var gameTypeStr = gameType + "";
		if (gameType >= 0 && gameType <= 9)
			gameTypeStr = "0" + gameTypeStr;
		return gameTypeStr;
	},
	
	formatGameNumber:function(gameNumber) {
		var gameNumberStr = gameNumber + "";
		if (gameNumber >= 0 && gameNumber <= 9)
			gameNumberStr = "000" + gameNumberStr;
		else if (gameNumber >= 10 && gameNumber <= 99)
			gameNumberStr = "00" + gameNumberStr;
		else if (gameNumber >= 100 && gameNumber <= 999)
			gameNumberStr = "0" + gameNumberStr;
		return gameNumberStr;
	},
	
	getLocServer:function() {
		return GameUrls.locServer;
	},
	
	setLocServer:function(locServer) {
		GameUrls.locServer = locServer;
	},
	
	getAdMarvelAdUrl:function() {
	   if(GameUrls.debug)
	     return GameUrls.debugUrlBase + '/imageAd.asp';
		 //return GameUrls.debugUrlBase + '/textAd.asp';
	   return GameUrls.adMarvelAdUrl;
	},
	
	//Winter Classic
	getWCNewsUrl:function(){
	   	if(GameUrls.debug)
		    return GameUrls.debugUrlBase + "/winterclassic2011.xml";
		
		return GameUrls.wcNewsUrlBase;      
	},
	getWCPhotoUrl:function(){
	    if(GameUrls.debug)
		     return GameUrls.debugUrlBase + "/wcphotogallery.json";
	    
		return GameUrls.wcPhotoURLBase;
	},
	getWCVideoFeedUrl:function(){
	    if(GameUrls.debug)	
		    return GameUrls.debugUrlBase + "/winter_classic_nokia.xml";
			//return GameUrls.debugUrlBase + "/winter_classic_nokia_no_live.xml";
		var url = SplashPage.config.wcVideoFeed;
		if(NHL.showUpgrade==false)
		    url = SplashPage.config.wcVideoFeed_nu;
		
		return url;
	},
	getWCBroadcastFeedUrl:function(){
	   if(GameUrls.debug)	
	        return GameUrls.debugUrlBase + "/wcbroadcast.htm";
		
		return SplashPage.config.wcBroadcastFeed;
	},
	getWCMapLocUrl:function(){
	    if(GameUrls.debug)	
		     return GameUrls.debugUrlBase + "/map.pdf";
	    
		return SplashPage.config.wcMapLoc;
	},
	getWCSeatingChartLocUrl:function(){
		if(GameUrls.debug)
		     return GameUrls.debugUrlBase + "/seatingchart.pdf";
		
		return SplashPage.config.wcSeatingChartLoc;
	},
	getWCGameDayLocUrl:function(){
	    if(GameUrls.debug)	
		    return GameUrls.debugUrlBase + "/wcgamedayinfo.htm";
			
	    return SplashPage.config.wcGameDayLoc;
	},
	getWCShopFeedUrl:function(){
	    return 	SplashPage.config.wcShopFeed;
	},
	// All-Star
	getASNewsUrl:function(){
	   	if(GameUrls.debug)
		    return GameUrls.debugUrlBase + "/allstar2011.xml";
		
		return GameUrls.asNewsUrlBase;      
	},
	getASPhotoUrl:function(){
	    if(GameUrls.debug)
		     return GameUrls.debugUrlBase + "/asphotogallery.json";
	    
		return GameUrls.asPhotoURLBase;
	},
	getASVideoFeedUrl:function(){
	    if(GameUrls.debug)
			return GameUrls.debugUrlBase + "/all_star_nokia.xml";
		var url = SplashPage.config.asVideoFeed;
		if(NHL.showUpgrade==false)
		    url = SplashPage.config.asVideoFeed_nu;
		
		return url;
	},
	//
	getHCNewsUrl:function(){
	   if(GameUrls.debug)
		    return GameUrls.debugUrlBase + "/heritageclassic2011.xml";
		
		return GameUrls.hcNewsUrlBase;
	},
	getHCPhotoUrl:function(){
		if(GameUrls.debug)
		    return GameUrls.debugUrlBase + "/hcphotogallery.json";
		
		return GameUrls.hcPhotoURLBase;
	},
	getHCVideoFeedUrl:function(){
		if(GameUrls.debug)
			return GameUrls.debugUrlBase + "/all_star_nokia.xml";
		var url = SplashPage.config.hcVideoFeed;
		if(NHL.showUpgrade==false)
		    url = SplashPage.config.hcVideoFeed_nu;
		
		return url;
	}
};
