/* NHL Variables */
var NHL = {
	//constants
	requestTimeout:60000,
	
	// variables
	version:0, //0:free 1:premium 2:elisa
	versionNumber:'2.0115',
	showUpgrade:true,
	plainLayout:false,
	is5800:false,
	canPlayAudio:true,
	isN8:false,
	windowHeight:0,
	googleTracker:null,
	
	// settings
	favoriteTeam:"None",
	updateFrequency:60,
	displayScores:1, // 1: Yes, 0: No, -1: Ask on Startup
	videoQuality:0, // 0: SD, 1: HD
	timeZone:1, //0: ET, 1: Local
	askOnStartup:-1, // 1: Yes, 0: No, -1: Initial
	nhlComSite: 0, // 0: wap, 1: full site.
	
	//SKU
	skuFreeNU: 'GMCTR411',
	skuFree: 'GMCTR413',
	skuPremium: 'GMCTR423',
	skuElisa: 'GMCTR441',
	
	initVariables:function(){
		//NHL.isN8=true;
		//NHL.videoQuality=1;
		//return;
		//NHL.plainLayout=true;
		//NHL.is5800=true;
		//return;
		//NHL.plainLayout=true;
		//return;
		if(typeof widget.wrt == 'object'){
			var model=widget.wrt.platform.model;
			//alert(model);
			if(model){
				model=model.toUpperCase();
				if(model.indexOf('N8')>=0){
					NHL.isN8=true;
					NHL.videoQuality=1;
				}
				if(model.indexOf('5800')>=0){
					NHL.plainLayout=true;
					NHL.is5800=true;
				}
				if(model.indexOf('N97')>=0 && model.indexOf('MINI')==-1){
					NHL.plainLayout=true;
				}
			}
		}
	},
	readSettings:function(){
		var favoriteTeam = widget.preferenceForKey("favoriteTeam");
		if(favoriteTeam)
			NHL.favoriteTeam=favoriteTeam;
		var updateFrequency = widget.preferenceForKey("updateFrequency");
		if(updateFrequency)
			NHL.updateFrequency=updateFrequency;
		var displayScores = widget.preferenceForKey("displayScores");
		if(displayScores==1||displayScores==0||displayScores==-1)
			NHL.displayScores=displayScores;
		var videoQuality = widget.preferenceForKey("videoQuality");
		if(videoQuality==0||videoQuality==1)
			NHL.videoQuality=videoQuality;
		var timeZone = widget.preferenceForKey("timeZone");
		if(timeZone==0||timeZone==1)
			NHL.timeZone=timeZone;
		var nhlComSite = widget.preferenceForKey(nhlComSite)
		if(nhlComSite==0 || nhlComSite==1)
		    NHL.nhlComSite=nhlComSite;
	},
	writeSettings:function(){
		widget.setPreferenceForKey(NHL.favoriteTeam,"favoriteTeam");
		widget.setPreferenceForKey(NHL.updateFrequency,"updateFrequency");
		widget.setPreferenceForKey(NHL.displayScores,"displayScores");
		widget.setPreferenceForKey(NHL.videoQuality,"videoQuality");
		widget.setPreferenceForKey(NHL.timeZone,"timeZone");
		widget.setPreferenceForKey(NHL.nhlComSite,"nhlComSite");
	},
	getCurrentAppSku:function(){
		if(NHL.version == 0) {
			if(NHL.showUpgrade) 
			   return NHL.skuFree;
		    else
			   return NHL.skuFreeNU;
				
		}else if(NHL.version == 1) {
		    return NHL.skuPremium;				
		}else if(NHL.version == 2) {
			return NHL.skuElisa;
		}
		return '';
	}
};
NHL.initVariables();
NHL.readSettings();
