//MiniView
var NHLMiniView = {
	MINI_VIEW_TRESHOLD:150,
	loop:null,
	loopShow:null,
	news:null,
	newsIndex:0,
	clickedNewsIndex:0,
	
	isCurrentMiniView:function () {
		return window.innerHeight < NHLMiniView.MINI_VIEW_TRESHOLD;
	},
	
	isMiniView:function (height) {
		return height < NHLMiniView.MINI_VIEW_TRESHOLD;
	},
	
	loadPage:function(){
		$('#NHLMiniView')[0].innerHTML=NHLMiniView.messageHtml('Loading...');
		NHLMiniView.fetchNewsList();
	},
	fetchNewsList:function(){
		var url=GameUrls.getNewsUrl();
		//alert(url);
		NHLMiniView.loopFetchNewsList(url);
	},
	loopFetchNewsList:function(url){
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NHL.requestTimeout,
			error: NHLMiniView.newsListError,
			success: NHLMiniView.updateNewsList
		});
		if(NHLMiniView.loop)
			clearInterval(NHLMiniView.loop);
		var delayTime=600*1000;
		NHLMiniView.loop=setInterval(function(){
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'xml',
				timeout: NHL.requestTimeout,
				error: NHLMiniView.newsListError,
				success: NHLMiniView.updateNewsList
			});
		}, delayTime);
	},
	updateNewsList:function(xml){
		//alert(xml);
		var rss = $.xml2json(xml);
		//alert(rss);
		if(rss&&rss.channel&&rss.channel["item"]){
			NHLMiniView.news = rss.channel["item"];
			NHLMiniView.newsIndex=0;
			NHLMiniView.clickedNewsIndex=0;
			NHLMiniView.loopShowNews();
		}else{
			NHLMiniView.newsListError();
		}
	},
	newsListError:function(){
		if(!NHLMiniView.news)
			$('#NHLMiniView')[0].innerHTML=NHLMiniView.messageHtml(ErrorMessage.CONNECTION_ERROR);
	},
	loopShowNews:function(){
		if(NHLMiniView.loopShow)
			clearInterval(NHLMiniView.loopShow);
		var newsCount=NHLMiniView.news.length;
		if(newsCount){
			// if >1 news
			var news=NHLMiniView.news;
			//show first news
			var newsObj=news[NHLMiniView.newsIndex];
			$('#NHLMiniView')[0].innerHTML=NHLMiniView.newsHtml(newsObj);
			var delayTime=15*1000;
			NHLMiniView.loopShow=setInterval(function(){
				//show next news
				NHLMiniView.newsIndex++;
				if(NHLMiniView.newsIndex<0)
					NHLMiniView.newsIndex=news.length-1;
				if(NHLMiniView.newsIndex>news.length-1)
					NHLMiniView.newsIndex=0;
				var newsObj=news[NHLMiniView.newsIndex];
				$('#NHLMiniView')[0].innerHTML=NHLMiniView.newsHtml(newsObj);
			}, delayTime);
		}else{
			// if only 1 news
			var newsObj=NHLMiniView.news;
			$('#NHLMiniView')[0].innerHTML=NHLMiniView.newsHtml(newsObj);
		}
	},
	
	//htmls
	messageHtml:function(message){
		var loadingHtml = '			<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td align="center" valign="middle">'+message+'</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>';
		return loadingHtml;
	},
	newsHtml:function(newsObj){
		var newsHtml = '			<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" align="center" valign="middle">&nbsp;</td>\r\n';
		if(newsObj.link)
			newsHtml += '					<td width="110" align="left" valign="middle"><img src="'+newsObj.link+'" width="100" height="56" /></td>\r\n';
		newsHtml += '					<td align="left" valign="middle">'+newsObj.title+'</td>\r\n'+
			'					<td width="10" align="center" valign="middle">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>';
		return newsHtml;
	}
}