/* NHL All Star */
var AllStarPage = {
	news:null,
	photoList:null,
	photoId:0,
	asHighlights:null,
	error:function(){
		$('#asMainContent')[0].innerHTML = AllStarPageHTML.error("Network Error: Please make sure you have a valid network connection.");
	},
	loading:function(){
		$('#asMainContent')[0].innerHTML = AllStarPageHTML.loading("");
	},
	showBackButton:function(eventStr){
	    if(!eventStr)
		   eventStr = 'AllStarPage.loadPage()';
		$("#asBackButtonDiv").show();
 	    $("#asBackButtonDiv")[0].innerHTML=AllStarPageHTML.backButton(eventStr);
	},
	loadPage:function(){
		initMainMenuStats();
	    
		$('.starButtonDiv').addClass("iconButtonDivOn");
		$('.starButtonLink').addClass("starButtonLinkOn");
		$('.starButtonLink').removeClass("starButtonLinkOff");
		$("#asBackButtonLink").hide();
		$("#asNavBar2").hide();
	
		Screens.showAllStarScreen();
		Screens.resizeAllStarMainContent();
		// init main content
		
		$('#asNavBar').html('NHL All-Star Menu');
		AllStarPage.loading();
		   $('#asMainContent')[0].innerHTML = AllStarPageHTML.menuList();	
		
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('AllStarPage', 'Load');
	},
	// Start News Page
	loadNewsPage:function(){
		AllStarPage.showBackButton();		
		$('#asNavBar').html('News');
		AllStarPage.loading();
		AllStarPage.fetchNews();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('AllStarNewsPage', 'Load');		
	},
	fetchNews:function(){
	   	var url = GameUrls.getASNewsUrl();
		if(AllStarPage.news!=null){
		   $('#asMainContent')[0].innerHTML = AllStarPageHTML.newsList(AllStarPage.news);
		}else{
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'xml',
				timeout: NHL.requestTimeout,
				error: AllStarPage.error,
				success: AllStarPage.updateNews
			});
		}
	},
	updateNews:function(xml){
		var rss = $.xml2json(xml);
		if(rss&&rss.channel&&rss.channel["item"]){
			var news = rss.channel["item"];
			AllStarPage.news = news;
			$('#asMainContent')[0].innerHTML = AllStarPageHTML.newsList(news);
		}else{
			AllStarPageHTML.error();
		}
	},
	loadNewsDetailPage:function(newsIndex){
		AllStarPage.loading();
		var newsObj = AllStarPage.news[newsIndex];		
		AllStarPage.fetchNewsDetail(newsObj);
	},
	fetchNewsDetail:function(newsObj){
		var url = newsObj.link;		
		if(GameUrls.debug)
		    url = GameUrls.debugUrlBase + "/asNewsDetail.json";
	    $.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: AllStarPage.error,
			success: AllStarPage.updateNewsDetail
		});
	},
	updateNewsDetail:function(newsDetail){
		AllStarPage.showBackButton('AllStarPage.loadNewsPage()');	 
		 $('#asMainContent')[0].innerHTML = AllStarPageHTML.newsDetail(newsDetail);
	},
	// Photo Gallery Page
	loadPhotoPage:function(){
		$("#asNavBar2").show();
		AllStarPage.showBackButton();
		Screens.resizeAllStarMainContent();
		$('#asNavBar').html('Photos');
		AllStarPage.loading();
		AllStarPage.fetchPhotoList();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('AllStarPhotoPage', 'Load');
	},
	fetchPhotoList:function(){
		var url=GameUrls.getASPhotoUrl();
		if(AllStarPage.photoList!=null){
			AllStarPage.updatePhotoList(AllStarPage.photoList);
		}else{
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'json',
				timeout: NHL.requestTimeout,
				error: AllStarPage.error,
				success: AllStarPage.updatePhotoList
			});
		}
	},
	updatePhotoList:function(photoList){
		AllStarPage.photoList=photoList;
		if(AllStarPage.photoList.list!=null&&AllStarPage.photoList.list.length>0){
			AllStarPage.updatePhoto(AllStarPage.photoId);
		}else{
			showErrorMessage2("There are currently no photos available for this game.");
		}
	},
	updatePhoto:function(photoId){
		var photoList=AllStarPage.photoList;
		var photoCount = photoList.list.length;
		if (photoId < 0)
			photoId = photoCount - 1;
		if (photoId > photoCount - 1)
			photoId = 0;
		AllStarPage.photoId = photoId;
		$('#asNavText2')[0].innerHTML=(photoId + 1) + " / " + photoCount;
		$('#asMainContent')[0].innerHTML=AllStarPageHTML.photoGallery(photoList.list[photoId]);
	},
	prev:function(){
		AllStarPage.photoId--;
		AllStarPage.updatePhoto(AllStarPage.photoId);
	},
	next:function(){
		AllStarPage.photoId++;
		AllStarPage.updatePhoto(AllStarPage.photoId);
	},
	viewFullScreenPhoto:function(photoImageUrl){
		$('#screenSplashOrPhoto').click(function() {
		  AllStarPage.backToGallery();
		});
		$('#splashOrPhotoContent')[0].innerHTML=AllStarPageHTML.fullScreenPhoto(photoImageUrl);
		Screens.showSplashScreen();
	},
	backToGallery:function(){
		Screens.showAllStarScreen();
	},
	resizeFullScreenPhoto:function(){
		$("#asLoading").hide();
		$("#fullScreenPhoto").show();

		var imageNaturalWidth = $('#fullScreenPhoto')[0].naturalWidth;
		var imageNaturalHeight = $('#fullScreenPhoto')[0].naturalHeight;
		var ratio = imageNaturalWidth / imageNaturalHeight;
		if(ratio>1.0){
			//widget.setDisplayLandscape();
		}else{
			//widget.setDisplayPortrait();
		}
		var windowWidth = window.innerWidth-20;
		var windowHeight = window.innerHeight-25;
		var windowRatio = windowWidth / windowHeight;
		if(ratio>windowRatio){
			$('#fullScreenPhoto')[0].width = windowWidth;
			$('#fullScreenPhoto')[0].height = windowWidth/ratio;
		}else{
			$('#fullScreenPhoto')[0].height = windowHeight;
			$('#fullScreenPhoto')[0].width = windowHeight*ratio;
		}
	},
    // Start Video Page
	loadVideoPage:function(){
		AllStarPage.showBackButton();		
		$('#asNavBar').html('Video');
		AllStarPage.loading();
		AllStarPage.fetchVideoList();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('AllStarVideoPage', 'Load');	
	},
	fetchVideoList:function(){
	    var url  = GameUrls.getASVideoFeedUrl();
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NHL.requestTimeout,
			error: AllStarPage.error,
			success: AllStarPage.updateVideoData
		});
	},
	updateVideoData:function(xml){
		var itemsXMLElemtns = xml.getElementsByTagName('item');
		for(var i=0; i<itemsXMLElemtns.length;i++){
		    var itemElement = itemsXMLElemtns[i];
			var meidaNode = null;
			for(var j=0; j<itemElement.childNodes.length; j++){
			     var element = itemElement.childNodes[j];
				 if(element.nodeName=='media'){
				    meidaNode = element;
					var biterate = element.getAttributeNode("bitrate").nodeValue;					
					if(biterate == "1") {
						var highMedia = xml.createElement("highMedia");
						var urlText = xml.createTextNode(element.textContent);
						highMedia.appendChild(urlText);
						itemElement.appendChild(highMedia);
					}else{
						var lowMedia = xml.createElement("lowMedia");
						var urlText = xml.createTextNode(element.textContent);
						lowMedia.appendChild(urlText);
						itemElement.appendChild(lowMedia);
					}
					//remove orignal media node
					itemElement.removeChild(meidaNode);
				 }
			}			
		}
	    var video= $.xml2json(xml);		
		if(video != null){
			AllStarPage.asHighlights = video.highlights.archives.item;
			$('#asMainContent')[0].innerHTML = AllStarPageHTML.videoList(AllStarPage.asHighlights);
		}else{
			AllStarPageHTML.error();
		}
	},
	//Start Wallpaper
	loadWallpaperPage:function(){
		AllStarPage.showBackButton();
		$('#asNavBar').html('Wallpaper');
		AllStarPage.loading();
		$('#asMainContent')[0].innerHTML = AllStarPageHTML.wallpaper();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('AllStarWallpaperPage', 'Load');
	}
}