/* Highlights Page */
var ElisaHighlightsPage = {
	 showType:'date',
	 highlights:null,
	 highlightIndex:0,
	 nameArray: null,
	 dateArray: null,
	 oneDayArray:null,
	 fullNameArray:null,
	 loadPage:function(){		
		$('#elisaTopPlayerButtonDiv').removeClass("iconButtonDivOn");
		$('#elisaTopPlayerButtonDiv').addClass("iconButtonDivOff");
		$('#elisaTopPlayerButtonLink').removeClass("elisaTopPlayerButtonLinkOn");	
		$('#elisaTopPlayerButtonLink').addClass("elisaTopPlayerButtonLinkOff");
		
		$('#elisaStatsButtonDiv').removeClass("iconButtonDivOn");
		$('#elisaStatsButtonDiv').addClass("iconButtonDivOff");
		$('#elisaStatsButtonLink').removeClass("elisaStatsButtonLinkOn");	
		$('#elisaStatsButtonLink').addClass("elisaStatsButtonLinkOff");
		
		$('#elisaNewsButtonDiv').removeClass("iconButtonDivOn");
		$('#elisaNewsButtonDiv').addClass("iconButtonDivOff");
		$('#elisaNewsButtonLink').removeClass("elisaNewsButtonLinkOn");	
		$('#elisaNewsButtonLink').addClass("elisaNewsButtonLinkOff");
		
        $('#elisaHighlightsButtonDiv').removeClass("iconButtonDivOff");
		$('#elisaHighlightsButtonDiv').addClass("iconButtonDivOn");
		$('#elisaHighlightsButtonLink').removeClass("elisaHighlightsButtonLinkOff");
		$('#elisaHighlightsButtonLink').addClass("elisaHighlightsButtonLinkOn");
		
		$("#sortHightlightsButtonLink").show();
		ElisaHighlightsPage.updateSortLabel();
		
		// init title bar		
		$('#navBackButtonLink').show();
		$('#favoriteButtonLink').show();
		$('#refreshButtonLink').show();
		// init nav bar
		$('#prevButtonLink').hide();
		$('#calendarButtonDiv').hide();
		
		$('#navText4')[0].innerHTML="Finnish Highlights";
		$('#navText4').show();		
		 
		// init main content,load data.
		ElisaHighlightsPage.fetchhighlightList();
		// init ad bar		
		Screens.showElisaScreen();
		Screens.resizeMainContentHeight();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('FinlandPage', 'Load', '');
	 },
	 
	 loadMainContent:function(){
		
	},
	
	fetchhighlightList:function(){
		ElisaHighlightsPage.showLoading();
		var url=GameUrls.getElisaHighlightsUrl();
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NHL.requestTimeout,
			error: ElisaHighlightsPage.highlightError,
			success: ElisaHighlightsPage.updateHightlights
		});
	},	
	updateHightlights:function(xml){
		var rss = $.xml2json(xml);
		if(rss&&rss.player){
			var players = rss.player;			
			var playerCount = players.length;
			
			var playerlistArray = new Array();
			var oneDayArray = new Array();
            var fullNameArray = new Array();
			for(var i=0;i<playerCount;i++){
				if(!players[i]) continue;
				
			  	var playerArray = new Array();
				var playerId = players[i].playerId;
				var firstName=players[i].firstName;
				var lastName=players[i].lastName;
				var imgeUrl=players[i].imageUrl;				
				var videoUrl=players[i].videoClip.link;
				var teams = players[i].videoClip.homeTeam.teamAbbreviation+' VS '+players[i].videoClip.awayTeam.teamAbbreviation;
				var startdate=players[i].videoClip.gameDate;
				var starttime=players[i].videoClip.time;
				var desctiption = players[i].description;
				var lastNamePrefix=lastName.substr(0,1).toUpperCase();
   			    var fullnameIndex=lastName.toUpperCase()+firstName.toUpperCase();
				var fullName = lastName.toUpperCase() + ',' + firstName.toUpperCase();
				
				//deal with datetiem
				var gameDateArray = startdate.split('/');
				var gameTimeArray = starttime.split(':');
				
				var month = gameDateArray[0];
				var day = gameDateArray[1];
				var year = gameDateArray[2];
				var hour = gameTimeArray[0];
				var minutes = gameTimeArray[1];
				
				var gamedatetime = new Date(year,month,day,hour,minutes);
				var gamedateStr = ElisaHighlightsPage.getMonthStr(month)+" "+day+","+year;		
				var gamedateIndex=year+month+day;
				
				playerArray['firstName']=firstName;
				playerArray['lastName']=lastName;
				playerArray['imageUrl']=imgeUrl;
				playerArray['videoUrl']=GameUrls.getElisaPlayVideoUrl(videoUrl,year+month+day,'highlight');
				playerArray['desctiption']=desctiption;
				playerArray['teams']=teams;				
				playerArray['gamedatetime']=gamedatetime;
				playerArray['gamedateStr']=gamedateStr;
				playerArray['gamedateIndex']=gamedateIndex;
				playerArray['lastNamePrefix']=lastNamePrefix;
				playerArray['fullnameIndex']=fullnameIndex;
				playerArray['fullName']=fullName;
				playerlistArray[i] = playerArray;
				
				//date array list				
				if(!oneDayArray[gamedateIndex]){				   
				   oneDayArray[gamedateIndex] = new Array();
				   oneDayArray[gamedateIndex]['dateStr']=gamedateStr;
				   oneDayArray[gamedateIndex]['date']=gamedateIndex;
				}
				oneDayArray[gamedateIndex].push(playerArray);
				
				//full name list				
				if(!fullNameArray[playerId]) {
					fullNameArray[playerId]=new Array();
					fullNameArray[playerId]['fullName']=fullName;
				}
				fullNameArray[playerId].push(playerArray);					
			}
			
			oneDayArray.sort(function compare(a,b){
										var date1 = a["date"];
										var date2 = b['date'];
										if(date1 < date2)
											return 1;
										else if(date1 == date2)
											return 0;
										else if(date1 > date2)
											return -1;
									});				
			
			fullNameArray.sort(function compare(a,b){
										var name1 = a["fullName"];
										var name2 = b['fullName'];
										if(name1 < name2)
											return -1;
										else if(name1 == name2)
											return 0;
										else if(name1 > name2)
											return 1;
									});	
			
			ElisaHighlightsPage.oneDayArray = oneDayArray;
			ElisaHighlightsPage.fullNameArray = fullNameArray;		

			ElisaHighlightsPage.showHighlightByDate();
		}else{
			ElisaHighlightsPage.highlightError();
		}
		
	},
	highlightError:function(){	  
		$('#mainContent4')[0].innerHTML = ElisaHighlightsPageHTML.error("");
	},
	showLoading:function(){
		$('#mainContent4')[0].innerHTML = ElisaHighlightsPageHTML.loading();
	},
	getMonthStr:function(monthValue) {
	    var month=new Array(12);
		month[0]="January";
		month[1]="February";
		month[2]="March";
		month[3]="April";
		month[4]="May";
		month[5]="June";
		month[6]="July";
		month[7]="August";
		month[8]="September";
		month[9]="October";
		month[10]="November";
		month[11]="December";
		
		return month[monthValue-1].toUpperCase();
	},
	sortByType:function(){		
	   	if(ElisaHighlightsPage.showType=='date')
		    ElisaHighlightsPage.showHighlightByName();
		else
		    ElisaHighlightsPage.showHighlightByDate();
		
		ElisaHighlightsPage.updateSortLabel();
	},
	showHighlightByDate:function(){
		ElisaHighlightsPage.showType='date';
     	$('#mainContent4')[0].innerHTML = ElisaHighlightsPageHTML.showHighlightByDate();		
	},
	showHighlightByName:function(){
		ElisaHighlightsPage.showType='name';
		$('#mainContent4')[0].innerHTML = ElisaHighlightsPageHTML.showHightlightByName();
	},
	updateSortLabel:function(){
		$("#sortHightlightsButtonLink")[0].innerHTML=ElisaHighlightsPage.showType=='date'?'By Player':'By Date';
	}
	
}

