/* Gallery Page */
var GalleryPage = {
	photoList:null,
	photoId:0,
	loadPage:function(){
		// init black bar
		$('#gameStatsButtonDiv').removeClass("iconButtonDiv2On");
		$('#gameStatsButtonLink').addClass("gameStatsButtonLinkOff");
		$('#gameStatsButtonLink').removeClass("gameStatsButtonLinkOn");
		$('#teamStatsButtonDiv').removeClass("iconButtonDiv2On");
		$('#teamStatsButtonLink').addClass("teamStatsButtonLinkOff");
		$('#teamStatsButtonLink').removeClass("teamStatsButtonLinkOn");
		$('#iceTrackerButtonDiv').removeClass("iconButtonDiv2On");
		$('#iceTrackerButtonLink').addClass("iceTrackerButtonLinkOff");
		$('#iceTrackerButtonLink').removeClass("iceTrackerButtonLinkOn");
		$('#galleryButtonDiv').addClass("iconButtonDiv2On");
		$('#galleryButtonLink').addClass("galleryButtonLinkOn");
		$('#galleryButtonLink').removeClass("galleryButtonLinkOff");
		// init title bar
		GalleryPage.updateTitle();
		// init nav bar
		$('#navBar2').hide();
		// init main content
		GalleryPage.fetchPhotoList();
		// init ad bar
		Screens.showGameScreen();
		Screens.resizeMainContentHeight();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('GalleryPage', 'Load', SchedulePage.game.season+", "+SchedulePage.game.game_type+", "+SchedulePage.game.game_number);
	},
	updateTitle:function(){
		$('#titleText2')[0].innerHTML = SchedulePage.game.away_team.name+" vs. "+SchedulePage.game.home_team.name;
	},
	fetchPhotoList:function(){
		showLoading2();
		var gameSeasonStr = SchedulePage.game.season;
		var gameType = SchedulePage.game.game_type;
		var gameNumber = SchedulePage.game.game_number;
		var url=GameUrls.getGameGalleryUrl(gameSeasonStr, gameType, gameNumber);
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: GalleryPage.photoListError,
			success: GalleryPage.updatePhotoList
		});
	},
	updatePhotoList:function(photoList){
		GalleryPage.photoList=photoList;
		if(photoList.list!=null&&photoList.list.length>0){
			$('#navText2')[0].innerHTML="";
			$('#navBar2').show();
			Screens.resizeMainContentHeight();
			GalleryPage.updatePhoto(0);
		}else{
			showErrorMessage2("There are currently no photos available for this game.");
		}
	},
	photoListError:function(){
		showErrorMessage2("Failed to retrieve data");
	},
	updatePhoto:function(photoId){
		var photoList=GalleryPage.photoList;
		var photoCount = photoList.list.length;
		if (photoId < 0)
			photoId = photoCount - 1;
		if (photoId > photoCount - 1)
			photoId = 0;
		GalleryPage.photoId = photoId;
		$('#navText2')[0].innerHTML=(photoId + 1) + " / " + photoCount;
		$('#mainContent2')[0].innerHTML=GalleryPageHTML.mainContent(photoList.list[photoId]);
	},
	prev:function(){
		GalleryPage.photoId--;
		GalleryPage.updatePhoto(GalleryPage.photoId);
	},
	next:function(){
		GalleryPage.photoId++;
		GalleryPage.updatePhoto(GalleryPage.photoId);
	},
	resizePhoto:function(){
		var maxWidth = window.innerWidth-40;
		var maxHeight=maxWidth*0.75;
		var imageNaturalWidth = $('#photoImage')[0].naturalWidth;
		var imageNaturalHeight = $('#photoImage')[0].naturalHeight;
		var ratio = imageNaturalWidth / imageNaturalHeight;
		if(ratio>1.33){
			$('#photoImage')[0].width = maxWidth;
			$('#photoImage')[0].height = maxWidth/ratio;
		}else{
			$('#photoImage')[0].height = maxHeight;
			$('#photoImage')[0].width = maxHeight*ratio;
		}
	},
	viewFullScreenPhoto:function(photoImageUrl){
		$('#splashOrPhotoContent')[0].innerHTML=GalleryPageHTML.fullScreenPhoto(photoImageUrl);
		Screens.showSplashScreen();
	},
	backToGallery:function(){
		Screens.showGameScreen();
		//widget.setDisplayPortrait();
	},
	resizeFullScreenPhoto:function(){
		var imageNaturalWidth = $('#fullScreenPhoto')[0].naturalWidth;
		var imageNaturalHeight = $('#fullScreenPhoto')[0].naturalHeight;
		var ratio = imageNaturalWidth / imageNaturalHeight;
		if(ratio>1.0){
			//widget.setDisplayLandscape();
		}else{
			//widget.setDisplayPortrait();
		}
		var windowWidth = window.innerWidth-20;
		var windowHeight = window.innerHeight-25;
		var windowRatio = windowWidth / windowHeight;
		if(ratio>windowRatio){
			$('#fullScreenPhoto')[0].width = windowWidth;
			$('#fullScreenPhoto')[0].height = windowWidth/ratio;
		}else{
			$('#fullScreenPhoto')[0].height = windowHeight;
			$('#fullScreenPhoto')[0].width = windowHeight*ratio;
		}
	}
}
