/* Game Stats Page */
var GameStatsPage = {
	playByPlays:null,
	liveAudioGameNumber:0,
	liveAudioIndex:0,
	finalGames:null,
	upcomingGames:null,
	loop:null,
	periodStrArr:new Array( "1st", "2nd", "3rd",	"OT", "SO" ),
	periodStrArr2:new Array( "1st", "2nd", "3rd", 	"OT", "2nd OT", "3rd OT" ),
	loadPage:function(){
		// init black bar
		$('#gameStatsButtonDiv').addClass("iconButtonDiv2On");
		$('#gameStatsButtonLink').addClass("gameStatsButtonLinkOn");
		$('#gameStatsButtonLink').removeClass("gameStatsButtonLinkOff");
		$('#teamStatsButtonDiv').removeClass("iconButtonDiv2On");
		$('#teamStatsButtonLink').addClass("teamStatsButtonLinkOff");
		$('#teamStatsButtonLink').removeClass("teamStatsButtonLinkOn");
		$('#iceTrackerButtonDiv').removeClass("iconButtonDiv2On");
		$('#iceTrackerButtonLink').addClass("iceTrackerButtonLinkOff");
		$('#iceTrackerButtonLink').removeClass("iceTrackerButtonLinkOn");
		$('#galleryButtonDiv').removeClass("iconButtonDiv2On");
		$('#galleryButtonLink').addClass("galleryButtonLinkOff");
		$('#galleryButtonLink').removeClass("galleryButtonLinkOn");
		// init title bar
		GameStatsPage.updateTitle();
		// init nav bar
		$('#navBar2').hide();
		// init main content
		GameStatsPage.loadMainContent();
		GameStatsPage.playByPlays=null;
		var game_state=SchedulePage.game.game_state;
		GameStatsPage.fetchPreview();
		if(game_state=='LIVE'){
			GameStatsPage.fetchLiveGameStats();
		}else{
			GameStatsPage.fetchGameSummary();
			GameStatsPage.fetchPlayByPlays();
		}
		// init ad bar
		Screens.showGameScreen();
		Screens.resizeMainContentHeight();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('GameStatsPage', 'Load', SchedulePage.game.season+", "+SchedulePage.game.game_type+", "+SchedulePage.game.game_number);
	},
	updateTitle:function(){
		$('#titleText2')[0].innerHTML = SchedulePage.game.away_team.name+" vs. "+SchedulePage.game.home_team.name;
	},
	switchListenStatus:function(){
		if($('#liveAudioBar')[0].style.display=="none"){
			$('#liveAudioBar').show();
			$('#listenButtonLink')[0].innerHTML="Close"
			setTimeout(function(){
				$('#videoBar').hide();
				$('#watchButtonLink')[0].innerHTML="Watch"
			}, 350);
		}else{
			$('#liveAudioBar').hide();
			$('#listenButtonLink')[0].innerHTML="Listen"
		}
	},
	switchWatchStatus:function(){
		if($('#videoBar')[0].style.display=="none"){
			$('#videoBar').show();
			$('#watchButtonLink')[0].innerHTML="Close"
			setTimeout(function(){
				$('#liveAudioBar').hide();
				$('#listenButtonLink')[0].innerHTML="Listen"
			}, 350);
		}else{
			$('#videoBar').hide();
			$('#watchButtonLink')[0].innerHTML="Watch"
		}
	},
	loadMainContent:function(){
		$('#mainContent2')[0].innerHTML = GameStatsPageHTML.mainContent();
	},
	fetchLiveGameStats:function(){
		$('#awayGoalScorers')[0].innerHTML=GameStatsPageHTML.goalScorersLoading();
		$('#awayPeriod1Label')[0].innerHTML=GameStatsPageHTML.summaryLoading();
		var url=SchedulePage.gameUrl;
		if(url){
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'xml',
				timeout: NHL.requestTimeout,
				error: GameStatsPage.playByPlaysError,
				success: GameStatsPage.updateLiveGameList
			});
			if(GameStatsPage.loop)
				clearInterval(GameStatsPage.loop);
			var delayTime=60*1000;
			if(NHL.updateFrequency)
				delayTime=NHL.updateFrequency*1000;
			GameStatsPage.loop=setInterval(function(){
				var mainHtml=$('#mainContent2')[0].innerHTML;
				if($('#screenGame')[0].style.display!="none" && mainHtml.search(/GameStatsPageFlagForLoop/)>=0){
					$.ajax({
						url: url,
						type: 'GET',
						cache: false,
						dataType: 'xml',
						timeout: NHL.requestTimeout,
						error: GameStatsPage.playByPlaysError,
						success: GameStatsPage.updateLiveGameList
					});
				}
			}, delayTime);
		}
	},
	updateLiveGameList:function(xml){
		//alert(xml);
		addLangAttrForRadio(xml);
		var games = $.xml2json(xml);
		if(games){
			SchedulePage.games=games;
			//alert(games);
			$('#mainContent')[0].innerHTML = SchedulePageHTML.gameList(games);
			var gameArray=games.game;
			var gameCount=gameArray.length;
			if(gameCount){
				for(var i=0;i<gameCount;i++){
					var game = gameArray[i];
					var gameState=game.game_state;
					if(gameState&&gameState.length>=5&&gameState.substr(0,5)=="FINAL"&&gameState.substr(gameState.length-2,2)=="OT"){
						game.game_state="FINAL OT";
					}
					if(game.game_number==SchedulePage.game.game_number){
						SchedulePage.game=game;
					}
				}
			}else{
				var game = gameArray;
				var gameState=game.game_state;
				if(gameState&&gameState.length>=5&&gameState.substr(0,5)=="FINAL"&&gameState.substr(gameState.length-2,2)=="OT"){
					game.game_state="FINAL OT";
				}
				if(game.game_number==SchedulePage.game.game_number){
					SchedulePage.game=game;
				}
			}
			GameStatsPage.fetchLivePlayByPlays();
		}
	},
	fetchLivePlayByPlays:function(){
		var gameSeasonStr = SchedulePage.game.season;
		var gameType = SchedulePage.game.game_type;
		var gameNumber = SchedulePage.game.game_number;
		var url=GameUrls.getGamePlayByPlayUrl(gameSeasonStr, gameType, gameNumber);

		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: GameStatsPage.playByPlaysError,
			success: GameStatsPage.updateLivePlayByPlays
		});
	},
	updateLivePlayByPlays:function(playByPlays){
		GameStatsPage.playByPlays=playByPlays;
		GameStatsPage.updatePlayByPlays(playByPlays);
		GameStatsPage.fetchLiveGameSummary();
	},
	fetchLiveGameSummary:function(){
		var gameSeasonStr = SchedulePage.game.season;
		var gameType = SchedulePage.game.game_type;
		var gameNumber = SchedulePage.game.game_number;
		var url=GameUrls.getGameSummaryUrl(gameSeasonStr, gameType, gameNumber);
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: GameStatsPage.gameSummaryError,
			success: GameStatsPage.updateGameSummary
		});
	},
	fetchGameSummary:function(){
		$('#awayPeriod1Label')[0].innerHTML=GameStatsPageHTML.summaryLoading();
		var gameSeasonStr = SchedulePage.game.season;
		var gameType = SchedulePage.game.game_type;
		var gameNumber = SchedulePage.game.game_number;
		var url=GameUrls.getGameSummaryUrl(gameSeasonStr, gameType, gameNumber);
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: GameStatsPage.gameSummaryError,
			success: GameStatsPage.updateGameSummary
		});
	},
	updateGameSummary:function(gameSummary){
		var game = SchedulePage.game;
		var gameState = game.game_state;
		var awayTotal = gameSummary.sbAwayScore;
		var awaySOG = gameSummary.sbAwaySOG;
		var awayP1 = gameSummary.sbAwayP1;
		var awayP2 = gameSummary.sbAwayP2;
		var awayP3 = gameSummary.sbAwayP3;
		var homeTotal = gameSummary.sbHomeScore;
		var homeSOG = gameSummary.sbHomeSOG;
		var homeP1 = gameSummary.sbHomeP1;
		var homeP2 = gameSummary.sbHomeP2;
		var homeP3 = gameSummary.sbHomeP3;
		$('#goalText')[0].innerHTML=awayTotal + " - " + homeTotal;
		$('#awaySOG')[0].innerHTML="SOG " + awaySOG;
		$('#homeSOG')[0].innerHTML="SOG " + homeSOG;
		$('#gameStateLabel')[0].innerHTML=((gameState=="LIVE"&&game.progress_time)?game.progress_time:gameState);
		var awayP1Str = awayP1 + "";
		var awayP2Str = awayP2 + "";
		var awayP3Str = awayP3 + "";
		var awayTotalStr = awayTotal + "";
		var homeP1Str = homeP1 + "";
		var homeP2Str = homeP2 + "";
		var homeP3Str = homeP3 + "";
		var homeTotalStr = homeTotal + "";
		var periodProgress = 0;
		if (GameStatsPage.playByPlays&&GameStatsPage.playByPlays.data&&GameStatsPage.playByPlays.data.game&&GameStatsPage.playByPlays.data.game.period)
			periodProgress = GameStatsPage.playByPlays.data.game.period;
		if (gameState=="FINAL" || (gameState=="LIVE" && periodProgress <= 3)) {
			if (gameState=="LIVE") {
				if (periodProgress == 0) {
					awayP1Str = "-";
					awayP2Str = "-";
					awayP3Str = "-";
					homeP1Str = "-";
					homeP2Str = "-";
					homeP3Str = "-";
				} else if (periodProgress == 1) {
					awayP2Str = "-";
					awayP3Str = "-";
					homeP2Str = "-";
					homeP3Str = "-";
				} else if (periodProgress == 2) {
					awayP3Str = "-";
					homeP3Str = "-";
				}
			}
			$('#period1Label')[0].innerHTML="1";
			$('#period2Label')[0].innerHTML="2";
			$('#period3Label')[0].innerHTML="3";
			$('#period4Label')[0].innerHTML="T";
			$('#period5Label')[0].innerHTML="";
			$('#period6Label')[0].innerHTML="";
			$('#awayPeriod1Label')[0].innerHTML=awayP1Str;
			$('#awayPeriod2Label')[0].innerHTML=awayP2Str;
			$('#awayPeriod3Label')[0].innerHTML=awayP3Str;
			$('#awayPeriod4Label')[0].innerHTML=awayTotalStr;
			$('#awayPeriod5Label')[0].innerHTML="";
			$('#awayPeriod6Label')[0].innerHTML="";
			$('#homePeriod1Label')[0].innerHTML=homeP1Str;
			$('#homePeriod2Label')[0].innerHTML=homeP2Str;
			$('#homePeriod3Label')[0].innerHTML=homeP3Str;
			$('#homePeriod4Label')[0].innerHTML=homeTotalStr;
			$('#homePeriod5Label')[0].innerHTML="";
			$('#homePeriod6Label')[0].innerHTML="";
		} else if (gameState=="FINAL OT" || (gameState=="LIVE" && periodProgress == 4)) {
			$('#period1Label')[0].innerHTML="1";
			$('#period2Label')[0].innerHTML="2";
			$('#period3Label')[0].innerHTML="3";
			$('#period4Label')[0].innerHTML="OT";
			$('#period5Label')[0].innerHTML="T";
			$('#period6Label')[0].innerHTML="";
			var awayScoreOT = awayTotal - awayP1 - awayP2 - awayP3;
			var awayScoreOTStr = awayScoreOT + "";
			$('#awayPeriod1Label')[0].innerHTML=awayP1Str;
			$('#awayPeriod2Label')[0].innerHTML=awayP2Str;
			$('#awayPeriod3Label')[0].innerHTML=awayP3Str;
			$('#awayPeriod4Label')[0].innerHTML=awayScoreOTStr;
			$('#awayPeriod5Label')[0].innerHTML=awayTotalStr;
			$('#awayPeriod6Label')[0].innerHTML="";
			var homeScoreOT = homeTotal - homeP1 - homeP2 - homeP3;
			var homeScoreOTStr = homeScoreOT + "";
			$('#homePeriod1Label')[0].innerHTML=homeP1Str;
			$('#homePeriod2Label')[0].innerHTML=homeP2Str;
			$('#homePeriod3Label')[0].innerHTML=homeP3Str;
			$('#homePeriod4Label')[0].innerHTML=homeScoreOTStr;
			$('#homePeriod5Label')[0].innerHTML=homeTotalStr;
			$('#homePeriod6Label')[0].innerHTML="";
		} else if (gameState=="FINAL SO" || (gameState=="LIVE" && periodProgress == 5)) {
			$('#period1Label')[0].innerHTML="1";
			$('#period2Label')[0].innerHTML="2";
			$('#period3Label')[0].innerHTML="3";
			$('#period4Label')[0].innerHTML="OT";
			$('#period5Label')[0].innerHTML="SO";
			$('#period6Label')[0].innerHTML="T";
			var awayScoreSO = awayTotal > homeTotal ? 1 : 0;
			var awayScoreOT = awayTotal > homeTotal ? homeTotal
					: awayTotal;
			awayScoreOT = awayScoreOT - awayP1 - awayP2 - awayP3;
			var awayScoreOTStr = awayScoreOT + "";
			var awayScoreSOStr = awayScoreSO + "";
			$('#awayPeriod1Label')[0].innerHTML=awayP1Str;
			$('#awayPeriod2Label')[0].innerHTML=awayP2Str;
			$('#awayPeriod3Label')[0].innerHTML=awayP3Str;
			$('#awayPeriod4Label')[0].innerHTML=awayScoreOTStr;
			$('#awayPeriod5Label')[0].innerHTML=awayScoreSOStr;
			$('#awayPeriod6Label')[0].innerHTML=awayTotalStr;
			var homeScoreSO = homeTotal > awayTotal ? 1 : 0;
			var homeScoreOT = homeTotal > awayTotal ? awayTotal
					: homeTotal;
			homeScoreOT = homeScoreOT - homeP1 - homeP2 - homeP3;
			var homeScoreOTStr = homeScoreOT + "";
			var homeScoreSOStr = homeScoreSO + "";
			$('#homePeriod1Label')[0].innerHTML=homeP1Str;
			$('#homePeriod2Label')[0].innerHTML=homeP2Str;
			$('#homePeriod3Label')[0].innerHTML=homeP3Str;
			$('#homePeriod4Label')[0].innerHTML=homeScoreOTStr;
			$('#homePeriod5Label')[0].innerHTML=homeScoreSOStr;
			$('#homePeriod6Label')[0].innerHTML=homeTotalStr;
		}
		
		if(gameSummary.sog){
			var sogByPeroidStr = "";
			for(var i=0; i<gameSummary.sog.length; i++){
				var periodSOG = gameSummary.sog[i];
				var period = periodSOG.period;
				var periodAway = periodSOG.away;
				var periodHome = periodSOG.home;
				var periodStr = "";

				var gameType = parseInt(game.game_type);
				if(gameType == 3) {
					if (period >= 1 && period <= 6) {
						periodStr = GameStatsPage.periodStrArr2[period - 1];
					} else if (period > 6) {
						periodStr = (period - 3) + "th OT";
					}
				} else if(period >= 1 && period <= 5) {
					periodStr = GameStatsPage.periodStrArr[period - 1];
				}
				
				sogByPeroidStr += periodStr + ": " + periodAway
											+ "-" + periodHome + "<br>";
			}
			$('#shotSummaryByPeriod')[0].innerHTML=sogByPeroidStr;
		}
		
		var awayStartingGoalieStr = "";
		var homeStartingGoalieStr = "";
		
		if(gameSummary.homeStartingGoalie || gameSummary.homeStartingGoalieDesc){
		    if(gameSummary.homeStartingGoalieDesc) {
			   	homeStartingGoalieStr += gameSummary.homeStartingGoalieDesc;
			}else if(gameSummary.homeStartingGoalie) {
			    homeStartingGoalieStr += gameSummary.homeStartingGoalie.name;
			    homeStartingGoalieStr += ' (' + gameSummary.homeStartingGoalie.record + ')';
			}
		}
		if(gameSummary.awayStartingGoalie || gameSummary.awayStartingGoalieDesc){
		    if(gameSummary.awayStartingGoalieDesc) {
			   	awayStartingGoalieStr += gameSummary.homeStartingGoalieDesc;
			}else if(gameSummary.awayStartingGoalie) {
			    awayStartingGoalieStr += gameSummary.awayStartingGoalie.name;
			    awayStartingGoalieStr += ' (' + gameSummary.awayStartingGoalie.record + ')';
			}
		}
		if(awayStartingGoalieStr!="" || homeStartingGoalieStr!="") {
		  	var startingHtml = game.away_team.team_abbreviation + ": " + awayStartingGoalieStr  +"<br />";
			startingHtml += game.home_team.team_abbreviation + ": " + homeStartingGoalieStr;
			$('#startingGoales')[0].innerHTML=startingHtml;
		}		
		
	},
	gameSummaryError:function(){
		$('#awayPeriod1Label')[0].innerHTML="";
	},
	fetchPlayByPlays:function(){
		$('#awayGoalScorers')[0].innerHTML=GameStatsPageHTML.goalScorersLoading();
		var gameSeasonStr = SchedulePage.game.season;
		var gameType = SchedulePage.game.game_type;
		var gameNumber = SchedulePage.game.game_number;
		var url=GameUrls.getGamePlayByPlayUrl(gameSeasonStr, gameType, gameNumber);
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: GameStatsPage.playByPlaysError,
			success: GameStatsPage.updatePlayByPlays
		});
	},
	updatePlayByPlays:function(playByPlays){
		var hasVideo=false;
		GameStatsPage.playByPlays=playByPlays;
		var playByPlayArray=playByPlays.data.game.plays.play;
		var playByPlayList = "";
		var awayTeamShortName = SchedulePage.game.away_team.team_abbreviation;
		var homeTeamShortName = SchedulePage.game.home_team.team_abbreviation;
		var awayGoalScorers = awayTeamShortName + ":<br />";
		var homeGoalScorers = homeTeamShortName + ":<br />";
		var awayPenalties = awayTeamShortName + ":<br />";
		var homePenalties = homeTeamShortName + ":<br />";
		var playByPlayCount = playByPlayArray.length;
		
		
		
		if(playByPlayCount>0){
			for (var i = 0; i < playByPlayCount; i++) {
				var playByPlay = playByPlayArray[i];
				var type = playByPlay.type;
				if (type=="Goal") {
					var periodStr = "";					
					var tempPeriod = playByPlay.period;
					var gameType = SchedulePage.game.game_type;
					if (gameType == 3) {
						if (tempPeriod >= 1 && tempPeriod <= 6) {
							periodStr = GameStatsPage.periodStrArr2[tempPeriod - 1];
						} else if (tempPeriod > 6) {
							periodStr = (tempPeriod - 3) + "th OT";
						}
					} else if (tempPeriod >= 1 && tempPeriod <= 5) {
						periodStr = GameStatsPage.periodStrArr[tempPeriod - 1];
					}
					var goalScorer =  "(" + playByPlay.time + " in " + periodStr + ") "+ playByPlay.playername;
					goalScorer += playByPlay.g_totes ? " ("+playByPlay.g_totes+")" : ' (0)';
					goalScorer += playByPlay.g_shotType ? " "+playByPlay.g_shotType : '';
					goalScorer += playByPlay.assists ? " - Assists:"+playByPlay.assists : '';
					goalScorer += '<br />';
					if (playByPlay.teamid==playByPlays.data.game.hometeamid) {
						homeGoalScorers += goalScorer;
					} else {
						awayGoalScorers += goalScorer;
					}
				} else if (type=="Penalty") {
					var periodStr = "";					
					var tempPeriod = playByPlay.period;
					var gameType = SchedulePage.game.game_type;
					if (gameType == 3) {
						if (tempPeriod >= 1 && tempPeriod <= 6) {
							periodStr = GameStatsPage.periodStrArr2[tempPeriod - 1];
						} else if (tempPeriod > 6) {
							periodStr = (tempPeriod - 3) + "th OT";
						}
					} else if (tempPeriod >= 1 && tempPeriod <= 5) {
						periodStr = GameStatsPage.periodStrArr[tempPeriod - 1];
					}
					var goalScorer =  " (" + playByPlay.time + " in " + periodStr + ") "+ playByPlay.playername;
				    goalScorer += playByPlay.sweater ? ' ('+playByPlay.sweater+')' : "";
					goalScorer += "<br />";
					
					if (playByPlay.teamid==playByPlays.data.game.hometeamid) {
						homePenalties += goalScorer;
					} else {
						awayPenalties += goalScorer;
					}					
				}
			}
			for (var i = playByPlayCount-1; i >=0; i--) {
				var playByPlay = playByPlayArray[i];
				var video=isPlayByPlayHasVideo(playByPlay);
				if(video){
					playByPlayList+=ShareHTML.playByPlay(playByPlay);
					hasVideo=true;
				}
			}
		}
		if(hasVideo&&showUpgradeLinkOrAudioVideoButton())
		$('#watchButtonLink')[0].style.display='block';
		$('#playByPlayList')[0].innerHTML=playByPlayList;
		$('#awayGoalScorers')[0].innerHTML=awayGoalScorers;
		$('#homeGoalScorers')[0].innerHTML=homeGoalScorers;
		$('#awayPenalties')[0].innerHTML=awayPenalties;
		$('#homePenalties')[0].innerHTML=homePenalties;				
		
	},
	playByPlaysError:function(){
		$('#awayGoalScorers')[0].innerHTML="Failed to retrieve data";
	},
	fetchPreview:function(){
		$('#gameStatsPreviewInfo')[0].innerHTML=GameStatsPageHTML.previewLoading();
		var gameSeasonStr = SchedulePage.game.season;
		var gameType = SchedulePage.game.game_type;
		var gameNumber = SchedulePage.game.game_number;
		var url=GameUrls.getGamePreview2Url(gameSeasonStr, gameType, gameNumber);
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: GameStatsPage.previewError,
			success: GameStatsPage.updatePreview
		});
	},
	assemGames:function(simpleGames,gameState) {	
	    var games = new Array();		
		for(var index=0; index<simpleGames.length; index++) {
			var game = new Array();
			var homeTeam = new Array();
			var awayTeam = new Array();
			
			/* generate season,game type and game number.
			 * if the length of id was not 10, it will do nothing.
			*/
			var id = simpleGames[index].id.toString();
			if(id.length == 10) {
			   var curSeason = id.substr(0,4); 
			   var season = curSeason + "" + (curSeason+1);
			   var gameType = id.substr(4,2);
			   var gameNumber = id.substr(6,4);
			   
			   game['season'] = season;
			   game['game_number'] = parseInt(gameNumber);
			   game['game_type'] = parseInt(gameType);
			
			} else {
			    continue;	
			}			
			
			homeTeam['goals'] = simpleGames[index].homeScore;
			homeTeam['team_abbreviation'] = simpleGames[index].homeTeamAbbr;
			homeTeam['name'] = Static.teamLogos[simpleGames[index].homeTeamAbbr.toLowerCase()];			
            
			awayTeam['goals'] = simpleGames[index].awayScore;
			awayTeam['team_abbreviation'] = simpleGames[index].awayTeamAbbr;				
			awayTeam['name'] = Static.teamLogos[simpleGames[index].awayTeamAbbr.toLowerCase()];
		
			game['game_date'] = simpleGames[index].date;
			game['home_team'] = homeTeam;
			game['away_team'] = awayTeam;
			game['game_state'] = gameState;
			      
			games.push(game);
		}
		return games;
	}
	,
	updatePreview:function(preview){
		var previewStr='';	
		
		GameStatsPage.finalGames = GameStatsPage.assemGames(preview.finalGames,'FINAL');
		GameStatsPage.upcomingGames = GameStatsPage.assemGames(preview.upcomingGames,'');
		
		if(preview.seriesInfo)
			previewStr=preview.seriesInfo;
		var finalGameStr='This is the first meeting for these teams.';
		if(preview.finalGames){
			finalGameStr='';
			for(var i=0;i<preview.finalGames.length;i++){
				var finalGame=preview.finalGames[i];
				finalGameStr += '<a href="#" onclick="SchedulePage.gotoGameStatsPage2(' + i + ');" class="commonList2">' + finalGame.date+" " + finalGame.awayTeamAbbr + " " + finalGame.awayScore + " @ " + finalGame.homeTeamAbbr + " " + finalGame.homeScore+'</a>';
			}
		}
		var upcomingGameStr='These teams do not play again this season.';
		if(preview.upcomingGames){
			upcomingGameStr='';
			for(var i=0;i<preview.upcomingGames.length;i++){
				var upcomingGame=preview.upcomingGames[i];
			    upcomingGameStr += '<a href="#" onclick="SchedulePage.gotoPreviewPage2(' + i + ');" class="commonList2">' + upcomingGame.date + " "+ upcomingGame.awayTeamAbbr + " @ " + upcomingGame.homeTeamAbbr + "</a>";
			}
		}
		$('#gameStatsPreviewInfo')[0].innerHTML=previewStr;
		$('#gameStatsPreviewFinalGames')[0].innerHTML=finalGameStr;
		$('#gameStatsPreviewUpcomingGames')[0].innerHTML=upcomingGameStr;
	},
	previewError:function(){
		$('#gameStatsPreviewInfo')[0].innerHTML="Failed to retrieve data";
	},
	showLiveAudioAway1:function(){
		$('#liveAudio2Home').hide();
		$('#liveAudio3Away').hide();
		$('#liveAudio3Home').hide();
		$('#liveAudio3French').hide();
		setTimeout(function(){
			$('#liveAudio2Away').show();
		}, 100);
	},
	showLiveAudioHome1:function(){
		$('#liveAudio2Away').hide();
		$('#liveAudio3Away').hide();
		$('#liveAudio3Home').hide();
		$('#liveAudio3French').hide();
		setTimeout(function(){
			$('#liveAudio2Home').show();
		}, 100);
	},
	showLiveAudioAway:function(){
		$('#liveAudio2Away').hide();
		$('#liveAudio2Home').hide();
		$('#liveAudio3Home').hide();
		$('#liveAudio3French').hide();
		setTimeout(function(){
			$('#liveAudio3Away').show();
		}, 100);
	},
	showLiveAudioHome:function(){
		$('#liveAudio2Away').hide();
		$('#liveAudio2Home').hide();
		$('#liveAudio3Away').hide();
		$('#liveAudio3French').hide();
		setTimeout(function(){
			$('#liveAudio3Home').show();
		}, 100);
	},
	showLiveAudioFrench:function(){
		$('#liveAudio2Away').hide();
		$('#liveAudio2Home').hide();
		$('#liveAudio3Away').hide();
		$('#liveAudio3Home').hide();
		setTimeout(function(){
			$('#liveAudio3French').show();
		}, 100);
	},
	playOrStopLiveAudioAway1:function(){
		if($('#playOrStopAway1AudioButtonLink').hasClass('playAudioButtonLink')){
			GameStatsPage.liveAudioGameNumber=SchedulePage.game.game_number;
			GameStatsPage.liveAudioIndex=1;
			var status=GameStatsPage.playLiveAudio();
			if(status){
				$('#playOrStopAway1AudioButtonLink').addClass('stopAudioButtonLink');
				$('#playOrStopAway1AudioButtonLink').removeClass('playAudioButtonLink');
				$('#playOrStopHome1AudioButtonLink').addClass('playAudioButtonLink');
				$('#playOrStopHome1AudioButtonLink').removeClass('stopAudioButtonLink');
			}else{
				GameStatsPage.liveAudioGameNumber=0;
				GameStatsPage.liveAudioIndex=0;
			}
		}else{
			GameStatsPage.stopLiveAudio();
			GameStatsPage.liveAudioGameNumber=0;
			GameStatsPage.liveAudioIndex=0;
			$('#playOrStopAway1AudioButtonLink').addClass('playAudioButtonLink');
			$('#playOrStopAway1AudioButtonLink').removeClass('stopAudioButtonLink');
		}
	},
	playOrStopLiveAudioHome1:function(){
		if($('#playOrStopHome1AudioButtonLink').hasClass('playAudioButtonLink')){
			GameStatsPage.liveAudioGameNumber=SchedulePage.game.game_number;
			GameStatsPage.liveAudioIndex=2;
			var status=GameStatsPage.playLiveAudio();
			if(status){
				$('#playOrStopHome1AudioButtonLink').addClass('stopAudioButtonLink');
				$('#playOrStopHome1AudioButtonLink').removeClass('playAudioButtonLink');
				$('#playOrStopAway1AudioButtonLink').addClass('playAudioButtonLink');
				$('#playOrStopAway1AudioButtonLink').removeClass('stopAudioButtonLink');
			}else{
				GameStatsPage.liveAudioGameNumber=0;
				GameStatsPage.liveAudioIndex=0;
			}
		}else{
			GameStatsPage.stopLiveAudio();
			GameStatsPage.liveAudioGameNumber=0;
			GameStatsPage.liveAudioIndex=0;
			$('#playOrStopHome1AudioButtonLink').addClass('playAudioButtonLink');
			$('#playOrStopHome1AudioButtonLink').removeClass('stopAudioButtonLink');
		}
	},
	playOrStopLiveAudioAway:function(){
		if($('#playOrStopAwayAudioButtonLink').hasClass('playAudioButtonLink')){
			GameStatsPage.liveAudioGameNumber=SchedulePage.game.game_number;
			GameStatsPage.liveAudioIndex=3;
			var status=GameStatsPage.playLiveAudio();
			if(status){
				$('#playOrStopAwayAudioButtonLink').addClass('stopAudioButtonLink');
				$('#playOrStopAwayAudioButtonLink').removeClass('playAudioButtonLink');
				$('#playOrStopHomeAudioButtonLink').addClass('playAudioButtonLink');
				$('#playOrStopHomeAudioButtonLink').removeClass('stopAudioButtonLink');
				$('#playOrStopFrenchAudioButtonLink').addClass('playAudioButtonLink');
				$('#playOrStopFrenchAudioButtonLink').removeClass('stopAudioButtonLink');
			}else{
				GameStatsPage.liveAudioGameNumber=0;
				GameStatsPage.liveAudioIndex=0;
			}
		}else{
			GameStatsPage.stopLiveAudio();
			GameStatsPage.liveAudioGameNumber=0;
			GameStatsPage.liveAudioIndex=0;
			$('#playOrStopAwayAudioButtonLink').addClass('playAudioButtonLink');
			$('#playOrStopAwayAudioButtonLink').removeClass('stopAudioButtonLink');
		}
	},
	playOrStopLiveAudioHome:function(){
		if($('#playOrStopHomeAudioButtonLink').hasClass('playAudioButtonLink')){
			GameStatsPage.liveAudioGameNumber=SchedulePage.game.game_number;
			GameStatsPage.liveAudioIndex=4;
			var status=GameStatsPage.playLiveAudio();
			if(status){
				$('#playOrStopHomeAudioButtonLink').addClass('stopAudioButtonLink');
				$('#playOrStopHomeAudioButtonLink').removeClass('playAudioButtonLink');
				$('#playOrStopAwayAudioButtonLink').addClass('playAudioButtonLink');
				$('#playOrStopAwayAudioButtonLink').removeClass('stopAudioButtonLink');
				$('#playOrStopFrenchAudioButtonLink').addClass('playAudioButtonLink');
				$('#playOrStopFrenchAudioButtonLink').removeClass('stopAudioButtonLink');
			}else{
				GameStatsPage.liveAudioGameNumber=0;
				GameStatsPage.liveAudioIndex=0;
			}
		}else{
			GameStatsPage.stopLiveAudio();
			GameStatsPage.liveAudioGameNumber=0;
			GameStatsPage.liveAudioIndex=0;
			$('#playOrStopHomeAudioButtonLink').addClass('playAudioButtonLink');
			$('#playOrStopHomeAudioButtonLink').removeClass('stopAudioButtonLink');
		}
	},
	playOrStopLiveAudioFrench:function(){
		if($('#playOrStopFrenchAudioButtonLink').hasClass('playAudioButtonLink')){
			GameStatsPage.liveAudioGameNumber=SchedulePage.game.game_number;
			GameStatsPage.liveAudioIndex=5;
			var status=GameStatsPage.playLiveAudio();
			if(status){
				$('#playOrStopFrenchAudioButtonLink').addClass('stopAudioButtonLink');
				$('#playOrStopFrenchAudioButtonLink').removeClass('playAudioButtonLink');
				$('#playOrStopAwayAudioButtonLink').addClass('playAudioButtonLink');
				$('#playOrStopAwayAudioButtonLink').removeClass('stopAudioButtonLink');
				$('#playOrStopHomeAudioButtonLink').addClass('playAudioButtonLink');
				$('#playOrStopHomeAudioButtonLink').removeClass('stopAudioButtonLink');
			}else{
				GameStatsPage.liveAudioGameNumber=0;
				GameStatsPage.liveAudioIndex=0;
			}
		}else{
			GameStatsPage.stopLiveAudio();
			GameStatsPage.liveAudioGameNumber=0;
			GameStatsPage.liveAudioIndex=0;
			$('#playOrStopFrenchAudioButtonLink').addClass('playAudioButtonLink');
			$('#playOrStopFrenchAudioButtonLink').removeClass('stopAudioButtonLink');
		}
	},
	playLiveAudio:function(){
		var game = SchedulePage.game;
		var audioUrl='';
		if(game.game_state=='LIVE'){
			var awayAudioUrl = getLiveAudioUrl(game, 0);
			var homeAudioUrl = getLiveAudioUrl(game, 1);
			var frenchAudioUrl = getLiveAudioUrl(game, 2);
			if(GameStatsPage.liveAudioIndex==1||GameStatsPage.liveAudioIndex==3){
				audioUrl=awayAudioUrl;
				if(NHL.googleTracker)NHL.googleTracker.trackEvent('GameStatsPage', 'PlayAwayAudio', SchedulePage.game.season+", "+SchedulePage.game.game_type+", "+SchedulePage.game.game_number);
			}
			if(GameStatsPage.liveAudioIndex==2||GameStatsPage.liveAudioIndex==4){
				audioUrl=homeAudioUrl;
				if(NHL.googleTracker)NHL.googleTracker.trackEvent('GameStatsPage', 'PlayHomeAudio', SchedulePage.game.season+", "+SchedulePage.game.game_type+", "+SchedulePage.game.game_number);
			}
			if(GameStatsPage.liveAudioIndex==5){
				audioUrl=frenchAudioUrl;
				if(NHL.googleTracker)NHL.googleTracker.trackEvent('GameStatsPage', 'PlayFrenchAudio', SchedulePage.game.season+", "+SchedulePage.game.game_type+", "+SchedulePage.game.game_number);
			}
		}
		if(audioUrl)
			return playMedia(audioUrl, true);
		else
			return false;
	},
	stopLiveAudio:function(){
		$('#screen_flash').hide();
	}
}
