/*Heritage Classic Page */
var HeritageClassicPage ={
	news:null,
	photoList:null,
	photoId:0,
	asHighlights:null,
	liveCam:null,
    error:function(){
		$('#hcMainContent')[0].innerHTML = HeritageClassicPageHTML.error("Network Error: Please make sure you have a valid network connection.");
	},
	loading:function(){
		$('#hcMainContent')[0].innerHTML = HeritageClassicPageHTML.loading("");
	},
	showBackButton:function(eventStr){
	    if(!eventStr)
		   eventStr = 'HeritageClassicPage.loadPage()';
		$("#hcBackButtonDiv").show();
 	    $("#hcBackButtonDiv")[0].innerHTML=HeritageClassicPageHTML.backButton(eventStr);
	},
	loadPage:function(isReload){
		initMainMenuStats();
	    
		$('.moreButtonDiv').addClass("iconButtonDivOn");
		$('.moreButtonLink').addClass("moreButtonLinkOn");
		$('.moreButtonLink').removeClass("moreButtonLinkOff");
		$("#hcBackButtonLink").hide();
		$("#hcNavBar2").hide();
	
		Screens.showHeritageClassicScreen();
		Screens.resizeHeritageClassicMainContent();
		// init main content
		
		$('#hcNavBar').html('NHL Heritage Classic Menu');
		HeritageClassicPage.loading();
		if(isReload){
		   HeritageClassicPage.news = null;
		   HeritageClassicPage.photoList = null;
		   HeritageClassicPage.photoId = 0;
		   HeritageClassicPage.fetchVideoList();
		}else{
		   $('#hcMainContent')[0].innerHTML = HeritageClassicPageHTML.menuList();	
		}
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('HeritageClassicPage', 'Load');
	},
	// Start News Page
	loadNewsPage:function(){
		HeritageClassicPage.showBackButton();		
		$('#hcNavBar').html('News');
		HeritageClassicPage.loading();
		HeritageClassicPage.fetchNews();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('HeritageClassicNewsPage', 'Load');
	},
	fetchNews:function(){
	   	var url = GameUrls.getHCNewsUrl();
		if(HeritageClassicPage.news!=null){
		   $('#hcMainContent')[0].innerHTML = HeritageClassicPageHTML.newsList(HeritageClassicPage.news);
		}else{
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'xml',
				timeout: NHL.requestTimeout,
				error: HeritageClassicPage.error,
				success: HeritageClassicPage.updateNews
			});
		}
	},
	updateNews:function(xml){
		var rss = $.xml2json(xml);
		if(rss&&rss.channel&&rss.channel["item"]){
			var news = rss.channel["item"];
			HeritageClassicPage.news = news;
			$('#hcMainContent')[0].innerHTML = HeritageClassicPageHTML.newsList(news);
		}else{
			HeritageClassicPageHTML.error();
		}
	},
	loadNewsDetailPage:function(newsIndex){
		HeritageClassicPage.loading();
		var newsObj = HeritageClassicPage.news[newsIndex];		
		HeritageClassicPage.fetchNewsDetail(newsObj);
	},
	fetchNewsDetail:function(newsObj){
		var url = newsObj.link;		
		if(GameUrls.debug)
		    url = GameUrls.debugUrlBase + "/hcNewsDetail.json";
	    $.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: HeritageClassicPage.error,
			success: HeritageClassicPage.updateNewsDetail
		});
	},
	updateNewsDetail:function(newsDetail){
		HeritageClassicPage.showBackButton('HeritageClassicPage.loadNewsPage()');	 
		 $('#hcMainContent')[0].innerHTML = HeritageClassicPageHTML.newsDetail(newsDetail);
	},
	// Photo Gallery Page
	loadPhotoPage:function(){
		$("#hcNavBar2").show();
		HeritageClassicPage.showBackButton();
		Screens.resizeHeritageClassicMainContent();
		$('#hcNavBar').html('Photos');
		HeritageClassicPage.loading();
		HeritageClassicPage.fetchPhotoList();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('HeritageClassicPhotoPage', 'Load');
	},
	fetchPhotoList:function(){
		var url=GameUrls.getHCPhotoUrl();
		if(HeritageClassicPage.photoList!=null){
			HeritageClassicPage.updatePhotoList(HeritageClassicPage.photoList);
		}else{
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'json',
				timeout: NHL.requestTimeout,
				error: HeritageClassicPage.error,
				success: HeritageClassicPage.updatePhotoList
			});
		}
	},
	updatePhotoList:function(photoList){
		HeritageClassicPage.photoList=photoList;
		if(HeritageClassicPage.photoList.list!=null&&HeritageClassicPage.photoList.list.length>0){
			HeritageClassicPage.updatePhoto(HeritageClassicPage.photoId);
		}else{
			showErrorMessage2("There are currently no photos available for this game.");
		}
	},
	updatePhoto:function(photoId){
		var photoList=HeritageClassicPage.photoList;
		var photoCount = photoList.list.length;
		if (photoId < 0)
			photoId = photoCount - 1;
		if (photoId > photoCount - 1)
			photoId = 0;
		HeritageClassicPage.photoId = photoId;
		$('#hcNavText2')[0].innerHTML=(photoId + 1) + " / " + photoCount;
		$('#hcMainContent')[0].innerHTML=HeritageClassicPageHTML.photoGallery(photoList.list[photoId]);
	},
	prev:function(){
		HeritageClassicPage.photoId--;
		HeritageClassicPage.updatePhoto(HeritageClassicPage.photoId);
	},
	next:function(){
		HeritageClassicPage.photoId++;
		HeritageClassicPage.updatePhoto(HeritageClassicPage.photoId);
	},
	viewFullScreenPhoto:function(photoImageUrl){
		$('#screenSplashOrPhoto').click(function() {
		  HeritageClassicPage.backToGallery();
		});
		$('#splashOrPhotoContent')[0].innerHTML=HeritageClassicPageHTML.fullScreenPhoto(photoImageUrl);
		Screens.showSplashScreen();
	},
	backToGallery:function(){
		Screens.showHeritageClassicScreen();
	},
	resizeFullScreenPhoto:function(){
		$("#hcLoading").hide();
		$("#fullScreenPhoto").show();

		var imageNaturalWidth = $('#fullScreenPhoto')[0].naturalWidth;
		var imageNaturalHeight = $('#fullScreenPhoto')[0].naturalHeight;
		var ratio = imageNaturalWidth / imageNaturalHeight;
		if(ratio>1.0){
			//widget.setDisplayLandscape();
		}else{
			//widget.setDisplayPortrait();
		}
		var windowWidth = window.innerWidth-20;
		var windowHeight = window.innerHeight-25;
		var windowRatio = windowWidth / windowHeight;
		if(ratio>windowRatio){
			$('#fullScreenPhoto')[0].width = windowWidth;
			$('#fullScreenPhoto')[0].height = windowWidth/ratio;
		}else{
			$('#fullScreenPhoto')[0].height = windowHeight;
			$('#fullScreenPhoto')[0].width = windowHeight*ratio;
		}
	},
	//Start Wallpaper
	loadWallpaperPage:function(){
		HeritageClassicPage.showBackButton();
		$('#hcNavBar').html('Wallpaper');
		HeritageClassicPage.loading();
		$('#hcMainContent')[0].innerHTML = HeritageClassicPageHTML.wallpaper();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('HeritageClassicWallpaperPage', 'Load');
	},
	loadHiglightsPage:function(){
	    HeritageClassicPage.showBackButton();		
		$('#hcNavBar').html('Video');
		HeritageClassicPage.loading();
		$('#hcMainContent')[0].innerHTML = HeritageClassicPageHTML.videoList(HeritageClassicPage.asHighlights);
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('HeritageClassicVideoPage', 'Load');	
	},
	fetchVideoList:function(){
	    var url  = GameUrls.getHCVideoFeedUrl();
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NHL.requestTimeout,
			error: HeritageClassicPage.error,
			success: HeritageClassicPage.updateVideoData
		});
	},
	updateVideoData:function(xml){
		var itemsXMLElemtns = xml.getElementsByTagName('item');
		for(var i=0; i<itemsXMLElemtns.length;i++){
		    var itemElement = itemsXMLElemtns[i];
			var meidaNode = null;
			for(var j=0; j<itemElement.childNodes.length; j++){
			     var element = itemElement.childNodes[j];
				 if(element.nodeName=='media'){
				    meidaNode = element;
					var biterate = element.getAttributeNode("bitrate").nodeValue;					
					if(biterate == "1") {
						var highMedia = xml.createElement("highMedia");
						var urlText = xml.createTextNode(element.textContent);
						highMedia.appendChild(urlText);
						itemElement.appendChild(highMedia);
					}else{
						var lowMedia = xml.createElement("lowMedia");
						var urlText = xml.createTextNode(element.textContent);
						lowMedia.appendChild(urlText);
						itemElement.appendChild(lowMedia);
					}
					//remove orignal media node
					itemElement.removeChild(meidaNode);
				 }
			}			
		}
	    var video= $.xml2json(xml);
			HeritageClassicPage.asHighlights = video.highlights.archives.item;	
			HeritageClassicPage.liveCam = video.liveCam;
	    $('#hcMainContent')[0].innerHTML = HeritageClassicPageHTML.menuList();
	},
	// live Web Cam
	loadLiveCamPage:function(){
	   	HeritageClassicPage.showBackButton();		
		$('#hcNavBar').html('Live Web Cam');
		HeritageClassicPage.loading();
		$('#hcMainContent')[0].innerHTML = HeritageClassicPageHTML.oneLiveWebCam(HeritageClassicPage.liveCam.live.item) +
		                                     HeritageClassicPageHTML.liveWebCams(HeritageClassicPage.liveCam.archives.item);
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('HeritageClassicLiveWebCamPage', 'Load');	
	}
}