/* Ice Tracker Page */
var IceTrackerPage = {
	loop:null,
	selectedType:'shot',
	loadPage:function(){
		// init black bar
		$('#gameStatsButtonDiv').removeClass("iconButtonDiv2On");
		$('#gameStatsButtonLink').removeClass("gameStatsButtonLinkOn");
		$('#gameStatsButtonLink').addClass("gameStatsButtonLinkOff");
		$('#teamStatsButtonDiv').removeClass("iconButtonDiv2On");
		$('#teamStatsButtonLink').addClass("teamStatsButtonLinkOff");
		$('#teamStatsButtonLink').removeClass("teamStatsButtonLinkOn");
		$('#iceTrackerButtonDiv').addClass("iconButtonDiv2On");
		$('#iceTrackerButtonLink').addClass("iceTrackerButtonLinkOn");
		$('#iceTrackerButtonLink').removeClass("iceTrackerButtonLinkOff");
		$('#galleryButtonDiv').removeClass("iconButtonDiv2On");
		$('#galleryButtonLink').addClass("galleryButtonLinkOff");
		$('#galleryButtonLink').removeClass("galleryButtonLinkOn");
		// init title bar
		IceTrackerPage.updateTitle();
		// init nav bar
		$('#navBar2').hide();
		// init main content
		IceTrackerPage.loadMainContent();
		// init ad bar
		Screens.showGameScreen();
		Screens.resizeMainContentHeight();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('IceTrackerPage', 'Load', SchedulePage.game.season+", "+SchedulePage.game.game_type+", "+SchedulePage.game.game_number);
	},
	updateTitle:function(){
		$('#titleText2')[0].innerHTML = SchedulePage.game.away_team.name+" vs. "+SchedulePage.game.home_team.name;
	},
	loadMainContent:function() {
		var game_state=SchedulePage.game.game_state;
		if(game_state=='LIVE'){
			IceTrackerPage.fetchLivePlayByPlays();
		}else{
			if(GameStatsPage.playByPlays){
				IceTrackerPage.updateMainContent();
			}else{
				IceTrackerPage.fetchPlayByPlays();
			}
		}
	},
	updateMainContent:function() {
		$('#mainContent2')[0].innerHTML=IceTrackerPageHTML.mainContent();		
		setTimeout(function(){
			$('.'+IceTrackerPage.selectedType+'DotType').show();
			IceTrackerPage.updateIcerink(IceTrackerPage.selectedType);
		}, 350);
	},
	fetchLivePlayByPlays:function(){
		showLoading2();
		var url=SchedulePage.gameUrl;
		if(url){
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'xml',
				timeout: NHL.requestTimeout,
				error: IceTrackerPage.playByPlaysError,
				success: IceTrackerPage.updateLiveGameList
			});
			if(IceTrackerPage.loop)
				clearInterval(IceTrackerPage.loop);
			var delayTime=60*1000;
			if(NHL.updateFrequency)
				delayTime=NHL.updateFrequency*1000;
			IceTrackerPage.loop=setInterval(function(){
				var mainHtml=$('#mainContent2')[0].innerHTML;
				if($('#screenGame')[0].style.display!="none" && mainHtml.search(/IceTrackerPageFlagForLoop/)>=0){
					$.ajax({
						url: url,
						type: 'GET',
						cache: false,
						dataType: 'xml',
						timeout: NHL.requestTimeout,
						error: IceTrackerPage.playByPlaysError,
						success: IceTrackerPage.updateLiveGameList
					});
				}
			}, delayTime);
		}
	},
	updateLiveGameList:function(xml){
		//alert(xml);
		addLangAttrForRadio(xml);
		var games = $.xml2json(xml);
		if(games){
			SchedulePage.games=games;
			//alert(games);
			$('#mainContent')[0].innerHTML = SchedulePageHTML.gameList(games);
			var gameArray=games.game;
			var gameCount=gameArray.length;
			if(gameCount){
				for(var i=0;i<gameCount;i++){
					var game = gameArray[i];
					var gameState=game.game_state;
					if(gameState&&gameState.length>=5&&gameState.substr(0,5)=="FINAL"&&gameState.substr(gameState.length-2,2)=="OT"){
						game.game_state="FINAL OT";
					}
					if(game.game_number==SchedulePage.game.game_number){
						SchedulePage.game=game;
					}
				}
			}else{
				var game = gameArray;
				var gameState=game.game_state;
				if(gameState&&gameState.length>=5&&gameState.substr(0,5)=="FINAL"&&gameState.substr(gameState.length-2,2)=="OT"){
					game.game_state="FINAL OT";
				}
				if(game.game_number==SchedulePage.game.game_number){
					SchedulePage.game=game;
				}
			}
			IceTrackerPage.fetchPlayByPlays();
		}
	},
	fetchPlayByPlays:function(){
		showLoading2();
		var gameSeasonStr = SchedulePage.game.season;
		var gameType = SchedulePage.game.game_type;
		var gameNumber = SchedulePage.game.game_number;
		var url=GameUrls.getGamePlayByPlayUrl(gameSeasonStr, gameType, gameNumber);
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: IceTrackerPage.playByPlaysError,
			success: IceTrackerPage.updatePlayByPlays
		});
	},
	updatePlayByPlays:function(playByPlays){
		GameStatsPage.playByPlays=playByPlays;
		IceTrackerPage.updateMainContent();
	},
	playByPlaysError:function(){
		showErrorMessage2("Failed to retrieve data");
	},
	awayPlayerSelectChange:function(){
		$('#homePlayerSelect')[0].options[0].selected=true;
		$('.dotImage').hide();
		setTimeout(function(){
			var pid=$('#awayPlayerSelect')[0].value;
			if(pid==0){
				$('.shotDotType').show();
			}else{
				$('.'+pid+'DotPid').show();
			}
		}, 350);
	},
	homePlayerSelectChange:function(){
		$('#awayPlayerSelect')[0].options[0].selected=true;
		$('.dotImage').hide();
		setTimeout(function(){
			var pid=$('#homePlayerSelect')[0].value;
			if(pid==0){
				$('.shotDotType').show();
			}else{
				$('.'+pid+'DotPid').show();
			}
		}, 350);
	},
	updateIcerink:function(type){
		IceTrackerPage.selectedType = type;
		$('#awayPlayerSelect')[0].options[0].selected=true;
		$('#homePlayerSelect')[0].options[0].selected=true;
		$('.dotImage').hide();
		setTimeout(function(){
			$('.'+type+'DotType').show();
		}, 350);
	},
	cameraBtnPress:function(){
		HighlightsPage.loadPage();
	}
}

