/* News Page */
var NewsPage = {
	news:null,
	newsIndex:0,
	loadPage:function(){
		initMainMenuStats();
		$('.newsButtonDiv').removeClass("iconButtonDivOff");
		$('.newsButtonLink').addClass("newsButtonLinkOn");
		$('.newsButtonLink').removeClass("newsButtonLinkOff");
		$('#navText')[0].innerHTML="News";
		$('#navText').show();
		
		// init main content
		NewsPage.loadMainContent();
		// init ad bar
		Screens.showIceTimeScreen();
	},
	loadMainContent:function(){
		$('#mainContent')[0].innerHTML = NewsPageHTML.mainContent();
		NewsPage.showNews();
	},
	showNews:function(){
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('NewsPage', 'ShowNews');
		$('#newsTabButtonLink').addClass("blueButton102Link");
		$('#newsTabButtonLink').removeClass("blackButton102Link");
		$('#twitterTabButtonLink').addClass("blackButton102Link");
		$('#twitterTabButtonLink').removeClass("blueButton102Link");
		$('#newsMainContent').show();
		$('#twitterMainContent').hide();
		NewsPage.fetchNews();
	},
	showTwitter:function(){
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('NewsPage', 'ShowTwitter');
		$('#newsTabButtonLink').addClass("blackButton102Link");
		$('#newsTabButtonLink').removeClass("blueButton102Link");
		$('#twitterTabButtonLink').addClass("blueButton102Link");
		$('#twitterTabButtonLink').removeClass("blackButton102Link");
		$('#newsMainContent').hide();
		$('#twitterMainContent').show();
		NewsPage.fetchTwitter();
	},
	fetchNews:function(){
		NewsPage.news = null;
		NewsPage.showNewsLoading();
		var url=GameUrls.getNewsUrl();
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NHL.requestTimeout,
			error: NewsPage.newsError,
			success: NewsPage.updateNews
		});
	},
	showNewsLoading:function(){
		$('#newsMainContent')[0].innerHTML = NewsPageHTML.loading();
	},
	updateNews:function(xml){
		//alert(xml);
		var rss = $.xml2json(xml);
		//alert(rss);
		if(rss&&rss.channel&&rss.channel["item"]){
			var news = rss.channel["item"];
			NewsPage.news = news;
			$('#newsMainContent')[0].innerHTML = NewsPageHTML.newsList(news);
		}else{
			NewsPage.newsError();
		}
	},
	newsError:function(){
		$('#newsMainContent')[0].innerHTML = NewsPageHTML.error("");
	},
	gotoNewsDetailsPage:function(index){
		NewsPage.newsIndex=index;
		NewsDetailsPage.loadInnerNews();
	},
	fetchTwitter:function(){
		NewsPage.twitter = null;
		NewsPage.showTwitterLoading();
		var url=GameUrls.getTwitterUrl();
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'text',
			timeout: NHL.requestTimeout,
			error: NewsPage.twitterError,
			success: NewsPage.updateTwitter
		});
	},
	showTwitterLoading:function(){
		$('#twitterMainContent')[0].innerHTML = NewsPageHTML.loading();
	},
	updateTwitter:function(xml){
		//alert(xml);
		var rss = $.xml2json(xml);
		//alert(rss);
		if(rss&&rss.channel&&rss.channel["item"]){
			var news = rss.channel["item"];
			$('#twitterMainContent')[0].innerHTML = NewsPageHTML.twitterList(news);
		}else{
			NewsPage.newsError();
		}
	},
	twitterError:function(){
		$('#twitterMainContent')[0].innerHTML = NewsPageHTML.error("");
	}
};

