/* PlayByPlay Page */
var PlayByPlayPage = {
	loop:null,
	selectedPeriod:1,
	loadPage:function(){
		// init black bar
		$('#blackBar3')[0].innerHTML=ShareHTML.blackBar2();
		$('#iceTrackerButtonDiv3').addClass("iconButtonDiv2On");
		$('#iceTrackerButtonLink3').addClass("iceTrackerButtonLinkOn");
		$('#iceTrackerButtonLink3').removeClass("iceTrackerButtonLinkOff");
		$('#blackBar3').show();
		// init title bar
		$('#titleBar3')[0].innerHTML=ShareHTML.titleBar2(true,'IceTrackerPage.loadPage();');
		$('#homeButtonLink3')[0].innerHTML = SchedulePage.game.away_team.name+" vs. "+SchedulePage.game.home_team.name;
		$('#titleText3')[0].innerHTML = "Play By Play";
		$('#titleBar3').show();
		// init nav bar
		$('#navBar3')[0].innerHTML="";
		$('#navBar3').hide();
		// init main content
		PlayByPlayPage.loadMainContent();
		// init ad bar
		Screens.showOtherPageScreen();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('PlayByPlayPage', 'Load', SchedulePage.game.season+", "+SchedulePage.game.game_type+", "+SchedulePage.game.game_number);
	},
	loadMainContent:function(){
		//by default will show the period 1 playbyplays
		var game_state=SchedulePage.game.game_state;
		if(game_state=='LIVE'){
			PlayByPlayPage.fetchLivePlayByPlays();
		}else{
			if(GameStatsPage.playByPlays){
				PlayByPlayPage.showPeriod(1);
			}else{
				PlayByPlayPage.fetchPlayByPlays();
			}
		}
	},
	fetchLivePlayByPlays:function(){
		showLoading3();
		var url=SchedulePage.gameUrl;
		if(url){
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'xml',
				timeout: NHL.requestTimeout,
				error: PlayByPlayPage.playByPlaysError,
				success: PlayByPlayPage.updateLiveGameList
			});
			if(PlayByPlayPage.loop)
				clearInterval(PlayByPlayPage.loop);
			var delayTime=60*1000;
			if(NHL.updateFrequency)
				delayTime=NHL.updateFrequency*1000;
			PlayByPlayPage.loop=setInterval(function(){
				var mainHtml=$('#mainContent3')[0].innerHTML;
				if($('#screenOtherPage')[0].style.display!="none" && mainHtml.search(/PlayByPlayPageFlagForLoop/)>=0){
					$.ajax({
						url: url,
						type: 'GET',
						cache: false,
						dataType: 'xml',
						timeout: NHL.requestTimeout,
						error: PlayByPlayPage.playByPlaysError,
						success: PlayByPlayPage.updateLiveGameList
					});
				}
			}, delayTime);
		}
	},
	updateLiveGameList:function(xml){
		//alert(xml);
		addLangAttrForRadio(xml);
		var games = $.xml2json(xml);
		if(games){
			SchedulePage.games=games;
			//alert(games);
			$('#mainContent')[0].innerHTML = SchedulePageHTML.gameList(games);
			var gameArray=games.game;
			var gameCount=gameArray.length;
			if(gameCount){
				for(var i=0;i<gameCount;i++){
					var game = gameArray[i];
					var gameState=game.game_state;
					if(gameState&&gameState.length>=5&&gameState.substr(0,5)=="FINAL"&&gameState.substr(gameState.length-2,2)=="OT"){
						game.game_state="FINAL OT";
					}
					if(game.game_number==SchedulePage.game.game_number){
						SchedulePage.game=game;
					}
				}
			}else{
				var game = gameArray;
				var gameState=game.game_state;
				if(gameState&&gameState.length>=5&&gameState.substr(0,5)=="FINAL"&&gameState.substr(gameState.length-2,2)=="OT"){
					game.game_state="FINAL OT";
				}
				if(game.game_number==SchedulePage.game.game_number){
					SchedulePage.game=game;
				}
			}
			PlayByPlayPage.fetchPlayByPlays();
		}
	},
	fetchPlayByPlays:function(){
		showLoading3();
		var gameSeasonStr = SchedulePage.game.season;
		var gameType = SchedulePage.game.game_type;
		var gameNumber = SchedulePage.game.game_number;
		var url=GameUrls.getGamePlayByPlayUrl(gameSeasonStr, gameType, gameNumber);
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: PlayByPlayPage.playByPlaysError,
			success: PlayByPlayPage.updatePlayByPlays
		});
	},
	updatePlayByPlays:function(playByPlays){		
		GameStatsPage.playByPlays=playByPlays;
		PlayByPlayPage.showPeriod(PlayByPlayPage.selectedPeriod);
	},
	playByPlaysError:function(){
		showErrorMessage3("Failed to retrieve data");
	},
	showPeriod:function(period){
		PlayByPlayPage.selectedPeriod = period;
		var playByPlays= GameStatsPage.playByPlays.data.game.plays.play;
		var result=new Array();
		var gameType = SchedulePage.game.game_type;
		for(var i=playByPlays.length-1;i>=0;i--){
			var playByPlay = playByPlays[i];
			var tempPeriod = playByPlay.period;
			if(gameType==3){
				if(period<=3&&period==tempPeriod){
					result.push(playByPlay);
				}else if(period==4&&tempPeriod>=4){
					result.push(playByPlay);
				}
			}else{
				if(period==tempPeriod)
					result.push(playByPlay);
			}
		}
		PlayByPlayPage.updateMainContent(result);
	},
	filterByVideo:function(){
		var playByPlays= GameStatsPage.playByPlays.data.game.plays.play;
		var result=new Array();
		var gameType = SchedulePage.game.game_type;
		for(var i=playByPlays.length-1;i>=0;i--){
			var playByPlay = playByPlays[i];
			if(playByPlay['mp4-rtsp']){
				result.push(playByPlay);
			}
		}
		PlayByPlayPage.updateMainContent(result);
	},
	updateMainContent: function(playByPlays){
		$('#mainContent3')[0].innerHTML=PlayByPlayPageHTML.mainContent(playByPlays);
	}
}

