/* Player Page */
var PlayerPage = {
	fromTeam:false,
	fromPage:false,
	pid:null,
	ps:null,
	player:null,
	playerProfile:null,
	setParams:function(fromTeam,pid,ps){
		PlayerPage.fromTeam=fromTeam;
		PlayerPage.pid=pid;
		PlayerPage.ps=ps;
	},
	loadPage:function(){
		if(PlayerPage.fromTeam){
			// init black bar
			$('#blackBar3')[0].innerHTML=ShareHTML.blackBar2();
			$('#teamStatsButtonDiv3').addClass("iconButtonDiv2On");
			$('#teamStatsButtonLink3').addClass("teamStatsButtonLinkOn");
			$('#teamStatsButtonLink3').removeClass("teamStatsButtonLinkOff");
			$('#blackBar3').show();
			// init title bar
			$('#titleBar3')[0].innerHTML=ShareHTML.titleBar2(true);
			$('#homeButtonLink3')[0].innerHTML=SchedulePage.game.away_team.name+" vs. "+SchedulePage.game.home_team.name;
			$('#titleBar3').show();
			if(NHL.googleTracker)NHL.googleTracker.trackEvent('PlayerPage', 'Load', PlayerPage.pid);
		}else{
			// init black bar
			$('#blackBar3')[0].innerHTML=ShareHTML.blackBar1();
			if(NHL.version==2 || NHL.showWinterClassic){
				$('.moreButtonDiv').addClass("iconButtonDivOn");
				$('.moreButtonLink').addClass("moreButtonLinkOn");
				$('.moreButtonLink').removeClass("moreButtonLinkOff");			
			}else{
				$('.playersButtonDiv').addClass("iconButtonDivOn");
				$('.playersButtonLink').addClass("playersButtonLinkOn");
				$('.playersButtonLink').removeClass("playersButtonLinkOff");
			}

			$('#blackBar3').show();
			// init title bar
			$('#titleBar3')[0].innerHTML=ShareHTML.titleBar2();
			$('#homeButtonLink3')[0].innerHTML="NHL GAMECENTER 2010";
			$('#titleBar3').show();
			if(NHL.googleTracker)NHL.googleTracker.trackEvent('TeamPlayerPage', 'Load', PlayerPage.pid);
		}
		// init nav bar
		$('#navBar3')[0].innerHTML="";
		$('#navBar3').hide();
		// init main content
		PlayerPage.fetchPlayer();
		// init ad bar
		Screens.showOtherPageScreen();
	},
	fetchPlayer:function(){
		showLoading3();
		var url=GameUrls.getPlayerRecentPlayUrl(PlayerPage.pid);
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NHL.requestTimeout,
			error: PlayerPage.playerError,
			success: PlayerPage.updatePlayer
		});
	},
	updatePlayer:function(xml){
		//alert(xml);
		var player = $.xml2json(xml);
		PlayerPage.player=player;
		PlayerPage.fetchPlayerProfile();
	},
	playerError:function(){
		showErrorMessage3("");
	},
	fetchPlayerProfile:function(){
		var url=GameUrls.getPlayerProfileUrl(PlayerPage.pid);
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: PlayerPage.playerProfileError,
			success: PlayerPage.updatePlayerProfile
		});
	},
	updatePlayerProfile:function(playerProfile){
		//alert(playerProfile);
		PlayerPage.playerProfile=playerProfile;
		$('#mainContent3')[0].innerHTML = PlayerPageHTML.mainContent();
		setTimeout(function(){
			if(PlayerPage.fromTeam)
				PlayerPage.showRecentPlays();
			else
				PlayerPage.showPlayerProfile();
		}, 350);
	},
	playerProfileError:function(){
		showErrorMessage3("");
	},
	showRecentPlays:function(){
		$('#recentPlaysButtonLink').addClass('blueButton160Link');
		$('#recentPlaysButtonLink').removeClass('blackButton160Link');
		$('#playerProfileButtonLink').addClass('blackButton160Link');
		$('#playerProfileButtonLink').removeClass('blueButton160Link');
		$('#playerProfileTable').hide();
		$('#recentPlaysTable').show();
	},
	showPlayerProfile:function(){
		$('#recentPlaysButtonLink').addClass('blackButton160Link');
		$('#recentPlaysButtonLink').removeClass('blueButton160Link');
		$('#playerProfileButtonLink').addClass('blueButton160Link');
		$('#playerProfileButtonLink').removeClass('blackButton160Link');
		$('#recentPlaysTable').hide();
		$('#playerProfileTable').show();
	},	
	showPlayerProfile1:function(from,pid,ps) {
	   	PlayerPage.fromPage = from;
		PlayerPage.pid = pid;		
		PlayerPage.ps = ps;
		if(from == 'elisaNews') {
  		    $('#blackBar3')[0].innerHTML=ShareHTML.blackBar3();
			$('#elisaNewsButtonDiv2').addClass("iconButtonDivOn");
			$('#elisaNewsButtonLink2').removeClass("elisaNewsButtonLinkOff");
			$('#elisaNewsButtonLink2').addClass("elisaNewsButtonLinkOn");
			$('#blackBar3').show();
			// init title bar
			$('#titleBar3')[0].innerHTML=ShareHTML.titleBar2(null,'Screens.showElisaScreen()');
			$('#homeButtonLink3')[0].innerHTML="Elisa Top Story";
			$('#titleBar3').show();
			if(NHL.googleTracker)NHL.googleTracker.trackEvent('ElisaPlayerPage', 'showPlayerProfile1', PlayerPage.pid);	
		}else if(from=='elisaStats'){
		    $('#blackBar3')[0].innerHTML=ShareHTML.blackBar3();
			$('#elisaStatsButtonDiv2').addClass("iconButtonDivOn");
			$('#elisaStatsButtonLink2').removeClass("elisaStatsButtonLinkOff");
			$('#elisaStatsButtonLink2').addClass("elisaStatsButtonLinkOn");
			$('#blackBar3').show();
			// init title bar
			$('#titleBar3')[0].innerHTML=ShareHTML.titleBar2(null,'Screens.showElisaScreen()');
			$('#homeButtonLink3')[0].innerHTML="Elisa Stats";
			$('#titleBar3').show();
			if(NHL.googleTracker)NHL.googleTracker.trackEvent('ElisaPlayerPage', 'showPlayerProfile1', PlayerPage.pid);	
		}
		
		$('#navBar3')[0].innerHTML="";
		$('#navBar3').hide();
		// init main content
		PlayerPage.fetchPlayer();
		// init ad bar
		Screens.showOtherPageScreen();
	}
}
