/* Players Page */
var PlayersPage = {
	byName:true,
	nameArray:null,
	teamArray:null,
	loadPage:function(){
		initMainMenuStats();		
		$('.moreButtonDiv').addClass("iconButtonDivOn");
		$('.moreButtonLink').addClass("moreButtonLinkOn");
		$('.moreButtonLink').removeClass("moreButtonLinkOff");
	
		$('#navText')[0].innerHTML="Players";
		$('#navText').show();
		$('#sortPlayersButtonLink')[0].style.display='block';
		
		// init main content
		PlayersPage.byName=true;
		$('#sortPlayersButtonLink')[0].innerHTML="By Team";
		if(PlayersPage.nameArray&&PlayersPage.teamArray)
			PlayersPage.showPlayers();
		else
			PlayersPage.fetchPlayers();
		// init ad bar
		Screens.showIceTimeScreen();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('PlayersPage', 'Load');
	},
	fetchPlayers:function(){
		showLoading();
		var url=GameUrls.getPlayersUrl();
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: PlayersPage.playersError,
			success: PlayersPage.updatePlayers
		});
	},
	updatePlayers:function(playersJson){
		//alert(playersJson);
		var nameArray=new Array();
		var teamArray=new Array();
		var players=playersJson.players;
		var count=players.length;
		for(var i=0;i<count;i++){
			var playerStr=players[i];
			var playerStrArray=playerStr.split(',');
			if(playerStrArray.length>=5){
				var pid=playerStrArray[0].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var lastName=playerStrArray[1].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var firstName=playerStrArray[2].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var ps=playerStrArray[3].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var team=playerStrArray[4].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				if(team){
					team=team.toLowerCase();
				}else{
					team="nhl";
				}
				var playerArray=new Array();
				playerArray["Id"]=pid;
				playerArray["LastName"]=lastName;
				playerArray["FirstName"]=firstName;
				playerArray["Ps"]=ps;
				playerArray["Team"]=team;
				var prefix=lastName.substr(0,1).toUpperCase();
				if(!nameArray[prefix]){
					nameArray[prefix]=new Array();
				}
				nameArray[prefix].push(playerArray);
				if(!teamArray[team]){
					teamArray[team]=new Array();
				}
				teamArray[team].push(playerArray);
			}
		}
		PlayersPage.nameArray=nameArray;
		PlayersPage.teamArray=teamArray;
		PlayersPage.showPlayers();
	},
	playersError:function(){
		showErrorMessage("");
	},
	showPlayers:function(){
		$('#mainContent')[0].innerHTML = PlayersPageHTML.mainContent(PlayersPage.byName);
		setTimeout(function(){
			if(PlayersPage.byName)
				PlayersPage.showPlayerListByName();
			else
				PlayersPage.showPlayerListByTeam();
		}, 350);
	},
	sortPlayers:function(){
		PlayersPage.byName=!PlayersPage.byName;
		if(PlayersPage.byName)
			$('#sortPlayersButtonLink')[0].innerHTML="By Team";
		else
			$('#sortPlayersButtonLink')[0].innerHTML="By Name";
		PlayersPage.showPlayers();
	},
	showPlayerListByName:function(){
		var nameIndex=$('#PlayerListByNameSelect')[0].value;
		if(nameIndex)
			$('#playerListDiv')[0].innerHTML = PlayersPageHTML.playerListByName(nameIndex);
	},
	showPlayerListByTeam:function(){
		var teamIndex=$('#PlayerListByTeamSelect')[0].value;
		if(teamIndex)
			$('#playerListDiv')[0].innerHTML = PlayersPageHTML.playerListByTeam(teamIndex);
	},
};

