/* Schedule Page */
var SchedulePage = {
	success:false,
	favOn:false,
	gameDate:new Date(),
	favDate:new Date(),
	gameUrl:'',
	games:null,
	game:null,
	loop:null,
	loadPage:function(){
		initMainMenuStats();
		$('.scheduleButtonDiv').addClass("iconButtonDivOn");
		$('.scheduleButtonLink').addClass("scheduleButtonLinkOn");
		$('.scheduleButtonLink').removeClass("scheduleButtonLinkOff");
		$('#favoriteButtonLink')[0].style.display="block";
		$('#refreshButtonLink')[0].style.display="block";
		$('#prevButtonLink')[0].style.display="block";
		$('#nextButtonLink')[0].style.display="block";
		
		// init main content
		SchedulePage.loadGameList();
		// init ad bar
		Screens.showIceTimeScreen();
		Screens.resizeMainContentHeight();
	},
	loadGameList:function(){
		if(NHL.displayScores==-1&&NHL.askOnStartup==-1){
			if(confirm('Do you want to see the scores?\r\n(You can change this in "Settings")')){
				NHL.askOnStartup=1;
			}else{
				NHL.askOnStartup=0;
			}
		}
		if(SchedulePage.favOn)
			SchedulePage.fetchFavGameList();
		else
			SchedulePage.fetchGameList();
	},
	fetchFavGameList:function(){
		showLoading();
		$("#favoriteButtonLink").removeClass("favoriteButtonLinkOff");
		$("#favoriteButtonLink").addClass("favoriteButtonLinkOn");
		var monthStr=Static.months[SchedulePage.favDate.getMonth()]+" "+SchedulePage.favDate.getFullYear();
		$('#navText')[0].innerHTML = monthStr;
		$('#navText')[0].style.display="block";
		$('#calendarButtonDiv').hide();
		var yyyy_MMStr=SchedulePage.favDate.getFullYear()+"_"
		+(SchedulePage.favDate.getMonth()<9?("0"+(SchedulePage.favDate.getMonth()+1)):(""+(SchedulePage.favDate.getMonth()+1)));
		var url=GameUrls.getFavoriteGameInfoUrl(NHL.favoriteTeam, yyyy_MMStr);
		//alert(url);
		SchedulePage.gameUrl=url;
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('SchedulePage', 'GetFavGameList', NHL.favoriteTeam+", "+yyyy_MMStr);
		SchedulePage.loopFetchGameList(url);
	},
	fetchGameList:function(){
		showLoading();
		$("#favoriteButtonLink").removeClass("favoriteButtonLinkOn");
		$("#favoriteButtonLink").addClass("favoriteButtonLinkOff");
		var dateStr=Static.months[SchedulePage.gameDate.getMonth()]+" "+SchedulePage.gameDate.getDate();
		$('#calendarButtonLink')[0].innerHTML = dateStr;
		$('#calendarButtonDiv')[0].style.display="block";
		$('#navText').hide();
		var yyyyMMddStr=SchedulePage.gameDate.getFullYear()
		+(SchedulePage.gameDate.getMonth()<9?("0"+(SchedulePage.gameDate.getMonth()+1)):(""+(SchedulePage.gameDate.getMonth()+1)))
		+(SchedulePage.gameDate.getDate()<10?("0"+SchedulePage.gameDate.getDate()):(""+SchedulePage.gameDate.getDate()));
		var url=GameUrls.getGameInfoUrl(yyyyMMddStr);
		//alert(url);
		SchedulePage.gameUrl=url;
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('SchedulePage', 'GetGameList', yyyyMMddStr);
		SchedulePage.loopFetchGameList(url);
	},
	loopFetchGameList:function(url){
		SchedulePage.success=false;
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NHL.requestTimeout,
			error: SchedulePage.gameListError,
			success: SchedulePage.updateGameList
		});
		if(SchedulePage.loop)
			clearInterval(SchedulePage.loop);
		var delayTime=60*1000;
		if(NHL.updateFrequency)
			delayTime=NHL.updateFrequency*1000;
		SchedulePage.loop=setInterval(function(){
			var mainHtml=$('#mainContent')[0].innerHTML;
			if($('#screenIceTime')[0].style.display!="none" && mainHtml.search(/SchedulePageFlagForLoop/)>=0){
				$.ajax({
					url: url,
					type: 'GET',
					cache: false,
					dataType: 'xml',
					timeout: NHL.requestTimeout,
					error: SchedulePage.gameListError,
					success: SchedulePage.updateGameList
				});
			}
		}, delayTime);
	},
	updateGameList:function(xml){
		//alert(xml);
		addLangAttrForRadio(xml);
		var games = $.xml2json(xml);
		SchedulePage.games=games;
		//alert(games);
		var game=games.game;
		if(game){
			SchedulePage.success=true;
			$('#mainContent')[0].innerHTML = SchedulePageHTML.gameList(games);
		}else{
			SchedulePage.gameListError();
		}
	},
	gameListError:function(xhr){
		var show404error=false;
		if(xhr){
			if(xhr.status==404){
				show404error=true;
			}
		}else{
			show404error=true;
		}
		if(show404error) {
			SchedulePage.success=true;
			$('#mainContent')[0].innerHTML = '<!-- SchedulePageFlagForLoop -->' + ShareHTML.error("No games scheduled");
		}else{
			if(!SchedulePage.success)
				$('#mainContent')[0].innerHTML = '<!-- SchedulePageFlagForLoop -->' + ShareHTML.error("Network Error: Please make sure you have a valid network connection.");
		}
	},
	prev:function(){
		if(SchedulePage.favOn){
			var prevMonth=SchedulePage.favDate.getMonth()-1;
			SchedulePage.favDate.setMonth(prevMonth);
			SchedulePage.fetchFavGameList();
		}else{
			var prevDate=SchedulePage.gameDate.getDate()-1;
			SchedulePage.gameDate.setDate(prevDate);
			SchedulePage.fetchGameList();
		}
	},
	next:function(){
		if(SchedulePage.favOn){
			var nextMonth=SchedulePage.favDate.getMonth()+1;
			SchedulePage.favDate.setMonth(nextMonth);
			SchedulePage.fetchFavGameList();
		}else{
			var nextDate=SchedulePage.gameDate.getDate()+1;
			SchedulePage.gameDate.setDate(nextDate);
			SchedulePage.fetchGameList();
		}
	},
	favButtonClick:function(){
		if(NHL.favoriteTeam=="None"){
			if(confirm('Please choose your favorite team in Settings'))
				SettingsPage.loadPage();
		}else{
			SchedulePage.favOn = !SchedulePage.favOn;
			if(SchedulePage.favOn)
				SchedulePage.favDate.setTime(SchedulePage.gameDate.getTime());
			SchedulePage.loadGameList();
		}
	},
	gotoGameStatsPage:function(index){
		if(index==-1)
			SchedulePage.game = SchedulePage.games.game;
		else
			SchedulePage.game = SchedulePage.games.game[index];
		GameStatsPage.loadPage();
	},
	gotoGameStatsPage2:function(index){
		if(index==-1)
			SchedulePage.game = GameStatsPage.finalGames;
		else
			SchedulePage.game = GameStatsPage.finalGames[index];
		GameStatsPage.loadPage();
	},
	gotoPreviewPage:function(index){
		if(index==-1)
			SchedulePage.game = SchedulePage.games.game;
		else
			SchedulePage.game = SchedulePage.games.game[index];
		PreviewPage.loadPage(0);
	},
	gotoPreviewPage2:function(index){
		if(index==-1)
			SchedulePage.game = GameStatsPage.upcomingGames;
		else
			SchedulePage.game = GameStatsPage.upcomingGames[index];
		PreviewPage.loadPage(0);
	}
};
