/* Splash Page */
var SplashPage = {
	forOuterNews:false,
	loaded:false,
	config:null,
	loopAd:null,
	loadOuterNews:function(){
		SplashPage.forOuterNews=true;
		SplashPage.doLoadPage();
	},
	loadPage:function(){
		SplashPage.forOuterNews=false;
		SplashPage.doLoadPage();
	},
	doLoadPage:function(){
		if(document.getElementById("splashImage")){
			//do nothing.
		}else{
			$('#splashOrPhotoContent')[0].innerHTML=SplashPageHTML.mainContent();
		}
		Screens.showSplashScreen();
		SplashPage.fetchConfig();
	},
	fetchConfig:function(){
		var url=GameUrls.getConfigUrl();
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NHL.requestTimeout,
			error: SplashPage.configError,
			success: SplashPage.updateConfig
		});
	},
	updateConfig:function(xml){
		//alert(xml);
		var config = $.xml2json(xml);
		//alert(config);		
		SplashPage.config=config;
		if(config.isValid!="true"){
			alert("Thank you for using NHL GAMECENTER 2010. This application is no longer available. Go to the App Store to download the new 2011 version and get all your NHL stats, scores, breaking news and more.");
			window.close();
		}else{
			SplashPage.loaded=true;		
			$('#MainScreens')[0].innerHTML=ScreensHTML.mainScreens();
			Screens.resizeMainContentHeight();
			if(config.sysAlertMsg)
				alert(config.sysAlertMsg);
			if (NHL.is5800&&config.hideRadio5800&&config.hideRadio5800=="true") {
				NHL.canPlayAudio = false;
			}
			if(NHL.version==0){
				//if(showUpgradeLinkOrAudioVideoButton()){					
				//	SplashPage.updateAd();
				//}else{
					SplashPage.loopUpdateAd();
				//}
				Screens.resizeMainContentHeight();
				if(config.locServer){
					var locServer=config.locServer;
					if(locServer.substr(locServer.length-1)!='/')
						locServer+='/';
					GameUrls.setLocServer(locServer);
				}
			}else if(config.locServerPremium){
				var locServer=config.locServerPremium;
				if(locServer.substr(locServer.length-1)!='/')
					locServer+='/';
				GameUrls.setLocServer(locServer);
			}
			var tempHours=SchedulePage.gameDate.getHours();
			if(tempHours<12){
				var tempTime=SchedulePage.gameDate.getTime();
				tempTime-=(12*60*60*1000);
				SchedulePage.gameDate.setTime(tempTime);
				SchedulePage.favDate.setTime(tempTime);
			}
			// google tracker
			if(NHL.version==0){
				if(config&&config.ga_free){
					var gaId = config.ga_free;
					NHL.googleTracker = new GoogleAnalytics('NHL GameCenter 2010', gaId);
					if(NHL.googleTracker)NHL.googleTracker.trackEvent('SplashPage', 'StartFreeApp', NHL.versionNumber);
				}
			}else if(NHL.version==1){
				if(config&&config.ga_premium){
					var gaId = config.ga_premium;
					NHL.googleTracker = new GoogleAnalytics('NHL GameCenter 2010 Premium', gaId);
					if(NHL.googleTracker)NHL.googleTracker.trackEvent('SplashPage', 'StartPremiumApp', NHL.versionNumber);
				}
			}else if(NHL.version==2){
				if(config&&config.ga_elisa){
					var gaId = config.ga_elisa;
					//gaId='UA-18548832-1';
					NHL.googleTracker = new GoogleAnalytics('NHL GameCenter 2010 Elisa', gaId);
					if(NHL.googleTracker)NHL.googleTracker.trackEvent('SplashPage', 'StartElisaApp', NHL.versionNumber);
				}
			}

			if(NHL.googleTracker)NHL.googleTracker.trackEvent('SplashPage', 'GetDeviceId', Util.getDeviceId());
			
			if(SplashPage.forOuterNews)
				NewsDetailsPage.loadOuterNews();
			else
				SchedulePage.loadPage();
		}
	},
	configError:function(){
		alert(ErrorMessage.OFF_LINE_ERROR);
		window.close();
	},
	updateAd:function(){
		var adHtml=ShareHTML.ad();
		if(adHtml){
			$('#bottomAd')[0].innerHTML = adHtml;
			$('#bottomAd').show();
			$('#bottomAd2')[0].innerHTML = adHtml;
			$('#bottomAd2').show();
			$('#bottomAd3')[0].innerHTML = adHtml;
			$('#bottomAd3').show();
			$('#bottomAd5')[0].innerHTML = adHtml;
			$('#bottomAd5').show();
			$('#bottomAd6')[0].innerHTML = adHtml;
			$('#bottomAd6').show();
			$('#bottomAd7')[0].innerHTML = adHtml;
			$('#bottomAd7').show();
		}
	},
	loopUpdateAd:function(){
		$('#bottomAd').show();
		$('#bottomAd2').show();
		$('#bottomAd3').show();
		$('#bottomAd5').show();
		$('#bottomAd6').show();
		$('#bottomAd7').show();
		
		var url = GameUrls.getAdMarvelAdUrl();	
		var target_params = escape('RESPONSE_TYPE=>xml||KEYWORDS=>NHL||UNIQUE_ID=>' + Util.getDeviceId());
		var postData = 'site_id=8435&partner_id=ee76673f3361f385&timeout=10000&version=1.5&language=jsp&format=wap'+
		'&target_params=' + target_params + '&phone_headers='+ escape('HTTP_USER_AGENT=>' + Util.getUserAgent());
		
		$.ajax({
					url: url,					
					type: 'POST',
					data: postData,
					cache: false,
					dataType: 'html',
					timeout: NHL.requestTimeout,
					error: SplashPage.configError,
					success: SplashPage.updateLoopAd,
				});
		
		if(SplashPage.loopAd) {
		   clearInterval(SplashPage.loopAd);		
		}
		
	    var delayTime=10*1000;
		
		SplashPage.loopAd = setInterval(function(){                				
				$.ajax({
					url: url,					
					type: 'POST',
					data: postData,
					cache: false,
					dataType: 'html',
					timeout: NHL.requestTimeout,
					error: SplashPage.configError,
					success: SplashPage.updateLoopAd,
				});		
		}, delayTime);
		
	},
	updateLoopAd: function(html) {			
		var parser=new DOMParser();
        var xml=parser.parseFromString(html,"text/xml");
        
		var pixelsElement = xml.getElementsByTagName("pixels");			
		if(pixelsElement) {
		   var pixelsElements=xml.getElementsByTagName("pixel");
		   var pixelsCount = pixelsElements.length;
		   var newPixels = xml.createElement("newPixels");
		   for(var i=0; i<pixelsCount; i++)	{
			   var pixel = pixelsElements[i];
			   var pixelUrl = pixel.textContent;
			   if(pixelUrl) {
				    var newPixel=xml.createElement("pixel");
					var newPixelUrl=xml.createElement("url");
					var newPixelValue=xml.createTextNode(pixelUrl);
					newPixelUrl.appendChild(newPixelValue);
					newPixel.appendChild(newPixelUrl);	
					newPixels.appendChild(newPixel);
			   }
		   }		
		   xml.firstChild.appendChild(newPixels);
		}
		var textElement = xml.getElementsByTagName("text");	
		if(textElement[0]){
		    var textValue = textElement[0].textContent;
			var newTextElement = xml.createElement("plainText");
			var newTextNode = xml.createTextNode(textValue);
			newTextElement.appendChild(newTextNode);
			xml.firstChild.appendChild(newTextElement);
		}
		
		var ad = $.xml2json(xml);		
		var adHtml = '';
		if(ad.type == 'image') {
		   adHtml += '<a href="#_" onclick="widget.openURL(\'' + ad.clickurl + '\')">' +
		       '<img src="' + ad.image.url +'" height="50" border="0" alt="' + ad.image.alt + '"/>'+
			   '</a>';			   
		} else if (ad.type == 'text') {		  
			  var showText = '';			  
			  if(ad.plainText.length >40){
				 showText += ad.plainText.substr(0,40);
				 showText += '...';
			  }
		     adHtml += '<a href="#_" onclick="widget.openURL(\'' + ad.clickurl + '\')">' + showText + '</a>';	
		}

		
		if(ad.newPixels.pixel){
		    for(var i=0; i<ad.newPixels.pixel.length; i++)	{
				var imageUrl = ad.newPixels.pixel[i].url;
			    adHtml += '<img src="' + imageUrl + '"/>';
			}
		}
		
		$('#bottomAd')[0].innerHTML = adHtml;
		$('#bottomAd2')[0].innerHTML = adHtml;
		$('#bottomAd3')[0].innerHTML = adHtml;
		$('#bottomAd5')[0].innerHTML = adHtml;
		$('#bottomAd6')[0].innerHTML = adHtml;
		$('#bottomAd7')[0].innerHTML = adHtml;
	}	
};
