/* Standings Page */
var StandingsPage = {
	loadPage:function(){	
		initMainMenuStats();

		if(NHL.version==2){
			$('.moreButtonDiv').addClass("iconButtonDivOn");
			$('.moreButtonLink').addClass("moreButtonLinkOn");
			$('.moreButtonLink').removeClass("moreButtonLinkOff");
		}else{
			$('.standingsButtonDiv').addClass("iconButtonDivOn");
			$('.standingsButtonLink').addClass("standingsButtonLinkOn");
			$('.standingsButtonLink').removeClass("standingsButtonLinkOff");	
		}

		$('#navText')[0].innerHTML="Standings";
		$('#navText').show();		
		// init main content
		StandingsPage.fetchStandings();
		// init ad bar
		Screens.showIceTimeScreen();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('StandingsPage', 'Load');
	},
	fetchStandings:function(){
		showLoading();
		var url=GameUrls.getStandingsUrl();
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: StandingsPage.standingsError,
			success: StandingsPage.updateStandings
		});
	},
	updateStandings:function(standings){
		//alert(standings);
		var league=standings.league;
		$('#mainContent')[0].innerHTML = StandingsPageHTML.mainContent(league);
		
		$('#easternTable').show();
		$('#westernTable').show();
	},
	standingsError:function(){
		showErrorMessage("");
	},
	showDivision:function(){
		$('#divisionButtonLink').addClass("blueButton102Link");
		$('#divisionButtonLink').removeClass("blackButton102Link");
		$('#conferenceButtonLink').addClass("blackButton102Link");
		$('#conferenceButtonLink').removeClass("blueButton102Link");
		$('#leagueButtonLink').addClass("blackButton102Link");
		$('#leagueButtonLink').removeClass("blueButton102Link");
		$('#atlanticTable').show();
		$('#northeastTable').show();
		$('#southeastTable').show();
		$('#centralTable').show();
		$('#northwestTable').show();
		$('#pacificTable').show();
		$('#easternTable').hide();
		$('#westernTable').hide();
		$('#leagueTable').hide();
	},
	showConference:function(){
		$('#divisionButtonLink').addClass("blackButton102Link");
		$('#divisionButtonLink').removeClass("blueButton102Link");
		$('#conferenceButtonLink').addClass("blueButton102Link");
		$('#conferenceButtonLink').removeClass("blackButton102Link");
		$('#leagueButtonLink').addClass("blackButton102Link");
		$('#leagueButtonLink').removeClass("blueButton102Link");
		$('#atlanticTable').hide();
		$('#northeastTable').hide();
		$('#southeastTable').hide();
		$('#centralTable').hide();
		$('#northwestTable').hide();
		$('#pacificTable').hide();
		$('#easternTable').show();
		$('#westernTable').show();
		$('#leagueTable').hide();
	},
	showLeague:function(){
		$('#divisionButtonLink').addClass("blackButton102Link");
		$('#divisionButtonLink').removeClass("blueButton102Link");
		$('#conferenceButtonLink').addClass("blackButton102Link");
		$('#conferenceButtonLink').removeClass("blueButton102Link");
		$('#leagueButtonLink').addClass("blueButton102Link");
		$('#leagueButtonLink').removeClass("blackButton102Link");
		$('#atlanticTable').hide();
		$('#northeastTable').hide();
		$('#southeastTable').hide();
		$('#centralTable').hide();
		$('#northwestTable').hide();
		$('#pacificTable').hide();
		$('#easternTable').hide();
		$('#westernTable').hide();
		$('#leagueTable').show();
	}
};
