/* Team Stats Page */
var TeamStatsPage = {
	awayTeam:true,
	loop:null,
	loadPage:function(){
		// init black bar
		$('#gameStatsButtonDiv').removeClass("iconButtonDiv2On");
		$('#gameStatsButtonLink').addClass("gameStatsButtonLinkOff");
		$('#gameStatsButtonLink').removeClass("gameStatsButtonLinkOn");
		$('#teamStatsButtonDiv').addClass("iconButtonDiv2On");
		$('#teamStatsButtonLink').addClass("teamStatsButtonLinkOn");
		$('#teamStatsButtonLink').removeClass("teamStatsButtonLinkOff");
		$('#iceTrackerButtonDiv').removeClass("iconButtonDiv2On");
		$('#iceTrackerButtonLink').addClass("iceTrackerButtonLinkOff");
		$('#iceTrackerButtonLink').removeClass("iceTrackerButtonLinkOn");
		$('#galleryButtonDiv').removeClass("iconButtonDiv2On");
		$('#galleryButtonLink').addClass("galleryButtonLinkOff");
		$('#galleryButtonLink').removeClass("galleryButtonLinkOn");
		// init title bar
		TeamStatsPage.updateTitle();
		// init nav bar
		$('#navBar2').hide();
		// init main content
		TeamStatsPage.loadMainContent();
		var game_state=SchedulePage.game.game_state;
		if(game_state=='LIVE'){
			TeamStatsPage.fetchLiveTeamPlayers();
		}else{
			TeamStatsPage.fetchTeamPlayers();
		}
		// init ad bar
		Screens.showGameScreen();
		Screens.resizeMainContentHeight();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('TeamStatsPage', 'Load', SchedulePage.game.season+", "+SchedulePage.game.game_type+", "+SchedulePage.game.game_number);
	},
	updateTitle:function(){
		$('#titleText2')[0].innerHTML = SchedulePage.game.away_team.name+" vs. "+SchedulePage.game.home_team.name;
	},
	loadMainContent:function(){
		$('#mainContent2')[0].innerHTML = TeamStatsPageHTML.mainContent();
	},
	fetchLiveTeamPlayers:function(){
		$('#playerListBar')[0].innerHTML=ShareHTML.loading();
		var url=SchedulePage.gameUrl;
		if(url){
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'xml',
				timeout: NHL.requestTimeout,
				error: TeamStatsPage.teamPlayersError,
				success: TeamStatsPage.updateLiveGameList
			});
			if(TeamStatsPage.loop)
				clearInterval(TeamStatsPage.loop);
			var delayTime=60*1000;
			if(NHL.updateFrequency)
				delayTime=NHL.updateFrequency*1000;
			TeamStatsPage.loop=setInterval(function(){
				var mainHtml=$('#mainContent2')[0].innerHTML;
				if($('#screenGame')[0].style.display!="none" && mainHtml.search(/TeamStatsPageFlagForLoop/)>=0){
					$.ajax({
						url: url,
						type: 'GET',
						cache: false,
						dataType: 'xml',
						timeout: NHL.requestTimeout,
						error: TeamStatsPage.teamPlayersError,
						success: TeamStatsPage.updateLiveGameList
					});
				}
			}, delayTime);
		}
	},
	updateLiveGameList:function(xml){
		//alert(xml);
		addLangAttrForRadio(xml);
		var games = $.xml2json(xml);
		if(games){
			SchedulePage.games=games;
			//alert(games);
			$('#mainContent')[0].innerHTML = SchedulePageHTML.gameList(games);
			var gameArray=games.game;
			var gameCount=gameArray.length;
			if(gameCount){
				for(var i=0;i<gameCount;i++){
					var game = gameArray[i];
					var gameState=game.game_state;
					if(gameState&&gameState.length>=5&&gameState.substr(0,5)=="FINAL"&&gameState.substr(gameState.length-2,2)=="OT"){
						game.game_state="FINAL OT";
					}
					if(game.game_number==SchedulePage.game.game_number){
						SchedulePage.game=game;
					}
				}
			}else{
				var game = gameArray;
				var gameState=game.game_state;
				if(gameState&&gameState.length>=5&&gameState.substr(0,5)=="FINAL"&&gameState.substr(gameState.length-2,2)=="OT"){
					game.game_state="FINAL OT";
				}
				if(game.game_number==SchedulePage.game.game_number){
					SchedulePage.game=game;
				}
			}
			TeamStatsPage.fetchTeamPlayers();
		}
	},
	fetchTeamPlayers:function(){
		$('#playerListBar')[0].innerHTML=ShareHTML.loading();
		var gameSeasonStr = SchedulePage.game.season;
		var gameType = SchedulePage.game.game_type;
		var gameNumber = SchedulePage.game.game_number;
		var url="";
		if(TeamStatsPage.awayTeam)
			url=GameUrls.getGameAwayRosterUrl(gameSeasonStr, gameType, gameNumber);
		else
			url=GameUrls.getGameHomeRosterUrl(gameSeasonStr, gameType, gameNumber);
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: TeamStatsPage.teamPlayersError,
			success: TeamStatsPage.updateTeamPlayers
		});
	},
	updateTeamPlayers:function(teamPlayers){
		$('#playerListBar')[0].innerHTML=TeamStatsPageHTML.playerList(teamPlayers);
	},
	teamPlayersError:function(){
		$('#playerListBar')[0].innerHTML=ShareHTML.error("Failed to retrieve data");
	}
}
