/* Settings Page */
var WinterClassicPage = {
	news:null,
	photoList:null,
	photoId:0,
	liveCam:null,
	wcHighlights:null,
	hbo:null,
	liveCamVideo:false,
	error:function(){
		$('#wcMainContent')[0].innerHTML = WinterClassicPageHTML.error("Network Error: Please make sure you have a valid network connection.");
	},
	loading:function(){
		$('#wcMainContent')[0].innerHTML = WinterClassicPageHTML.loading("");
	}, 
	showBackButton:function(eventStr){
	    if(!eventStr)
		   eventStr = 'WinterClassicPage.loadPage()';
		$("#wcBackButtonDiv").show();
 	    $("#wcBackButtonDiv")[0].innerHTML=WinterClassicPageHTML.backButton(eventStr);
	},
	loadPage:function(isReload){
		initMainMenuStats();
	    
		$('.moreButtonDiv').addClass("iconButtonDivOn");
		$('.moreButtonLink').addClass("moreButtonLinkOn");
		$('.moreButtonLink').removeClass("moreButtonLinkOff");
		$("#wcBackButtonLink").hide();
		$("#wcNavBar2").hide();
	
		Screens.showWinterClassicScreen();
		Screens.resizeWinterClassicMainContent();
		// init main content
		
		$('#wcNavBar').html('NHL Winter Classic Menu');
		WinterClassicPage.loading();
        if(isReload){
		   WinterClassicPage.news = null;
		   WinterClassicPage.photoList = null;
		   WinterClassicPage.photoId = 0;
		   WinterClassicPage.fetchVideoList();
		}else{
		   $('#wcMainContent')[0].innerHTML = WinterClassicPageHTML.menuList();	
		}
		
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('WinterClassicPage', 'Load');
	},
	
	//Begin News Page
	loadNewsPage:function(){
	   	WinterClassicPage.showBackButton();		
		$('#wcNavBar').html('News');
		WinterClassicPage.loading();
		WinterClassicPage.fetchNews();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('WinterClassicNewsPage', 'Load');
	},
	fetchNews:function(){
	   	var url = GameUrls.getWCNewsUrl();
		if(WinterClassicPage.news!=null){
		   $('#wcMainContent')[0].innerHTML = WinterClassicPageHTML.newsList(WinterClassicPage.news);
		}else{
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'xml',
				timeout: NHL.requestTimeout,
				error: WinterClassicPage.error,
				success: WinterClassicPage.updateNews
			});
		}
	},
	updateNews:function(xml){
		var rss = $.xml2json(xml);
		if(rss&&rss.channel&&rss.channel["item"]){
			var news = rss.channel["item"];
			WinterClassicPage.news = news;
			$('#wcMainContent')[0].innerHTML = WinterClassicPageHTML.newsList(news);
		}else{
			WinterClassicPageHTML.error();
		}
	},
	loadNewsDetailPage:function(newsIndex){
		WinterClassicPage.loading();
		var newsObj = WinterClassicPage.news[newsIndex];		
		WinterClassicPage.fetchNewsDetail(newsObj);
	},
	fetchNewsDetail:function(newsObj){
		var url = newsObj.link;		
		if(GameUrls.debug)
		    url = GameUrls.debugUrlBase + "/wcNewsDetail.json";
	    $.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: WinterClassicPage.error,
			success: WinterClassicPage.updateNewsDetail
		});
	},
	updateNewsDetail:function(newsDetail){
		WinterClassicPage.showBackButton('WinterClassicPage.loadNewsPage()');	 
		 $('#wcMainContent')[0].innerHTML = WinterClassicPageHTML.newsDetail(newsDetail);
	},
	//End News Page
	
	//Begin Photo Gallery
	loadPhotoPage:function(){
		$("#wcNavBar2").show();
		WinterClassicPage.showBackButton();
		Screens.resizeWinterClassicMainContent();
		$('#wcNavBar').html('Photos');
		WinterClassicPage.loading();
		WinterClassicPage.fetchPhotoList();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('WinterClassicPhotoPage', 'Load');
	},
	fetchPhotoList:function(){
		var url=GameUrls.getWCPhotoUrl();
		if(WinterClassicPage.photoList!=null){
			WinterClassicPage.updatePhotoList(WinterClassicPage.photoList);
		}else{
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'json',
				timeout: NHL.requestTimeout,
				error: WinterClassicPage.error,
				success: WinterClassicPage.updatePhotoList
			});
		}
	},
	updatePhotoList:function(photoList){
		WinterClassicPage.photoList=photoList;
		if(WinterClassicPage.photoList.list!=null&&WinterClassicPage.photoList.list.length>0){
			WinterClassicPage.updatePhoto(WinterClassicPage.photoId);
		}else{
			showErrorMessage2("There are currently no photos available for this game.");
		}
	},
	photoListError:function(){
		showErrorMessage2("Failed to retrieve data");
	},
	updatePhoto:function(photoId){
		var photoList=WinterClassicPage.photoList;
		var photoCount = photoList.list.length;
		if (photoId < 0)
			photoId = photoCount - 1;
		if (photoId > photoCount - 1)
			photoId = 0;
		WinterClassicPage.photoId = photoId;
		$('#wcNavText2')[0].innerHTML=(photoId + 1) + " / " + photoCount;
		$('#wcMainContent')[0].innerHTML=WinterClassicPageHTML.photoGallery(photoList.list[photoId]);
	},
	prev:function(){
		WinterClassicPage.photoId--;
		WinterClassicPage.updatePhoto(WinterClassicPage.photoId);
	},
	next:function(){
		WinterClassicPage.photoId++;
		WinterClassicPage.updatePhoto(WinterClassicPage.photoId);
	},
	resizePhoto:function(){
		var maxWidth = window.innerWidth-40;
		var maxHeight=maxWidth*0.75;
		var imageNaturalWidth = $('#photoImage')[0].naturalWidth;
		var imageNaturalHeight = $('#photoImage')[0].naturalHeight;
		var ratio = imageNaturalWidth / imageNaturalHeight;
		if(ratio>1.33){
			$('#photoImage')[0].width = maxWidth;
			$('#photoImage')[0].height = maxWidth/ratio;
		}else{
			$('#photoImage')[0].height = maxHeight;
			$('#photoImage')[0].width = maxHeight*ratio;
		}
	},
	viewFullScreenPhoto:function(photoImageUrl){
		$('#screenSplashOrPhoto').click(function() {
		  WinterClassicPage.backToGallery();
		});
		$('#splashOrPhotoContent')[0].innerHTML=WinterClassicPageHTML.fullScreenPhoto(photoImageUrl);
		Screens.showSplashScreen();
	},
	backToGallery:function(){
		Screens.showWinterClassicScreen();
	},
	resizeFullScreenPhoto:function(){
		$("#wcLoading").hide();
		$("#fullScreenPhoto").show();

		var imageNaturalWidth = $('#fullScreenPhoto')[0].naturalWidth;
		var imageNaturalHeight = $('#fullScreenPhoto')[0].naturalHeight;
		var ratio = imageNaturalWidth / imageNaturalHeight;
		if(ratio>1.0){
			//widget.setDisplayLandscape();
		}else{
			//widget.setDisplayPortrait();
		}
		var windowWidth = window.innerWidth-20;
		var windowHeight = window.innerHeight-25;
		var windowRatio = windowWidth / windowHeight;
		if(ratio>windowRatio){
			$('#fullScreenPhoto')[0].width = windowWidth;
			$('#fullScreenPhoto')[0].height = windowWidth/ratio;
		}else{
			$('#fullScreenPhoto')[0].height = windowHeight;
			$('#fullScreenPhoto')[0].width = windowHeight*ratio;
		}
	},
	//End Photo Gallery
	
	//Begin Video Page
	fetchVideoList:function(){
		var url  = GameUrls.getWCVideoFeedUrl();
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NHL.requestTimeout,
			error: WinterClassicPage.error,
			success: WinterClassicPage.saveVideoData
		});
	},
	saveVideoData:function(xml){
		//Adjust mediaNode, since json cannot parse the same media node.
		var itemsXMLElemtns = xml.getElementsByTagName('item');
		for(var i=0; i<itemsXMLElemtns.length;i++){
		    var itemElement = itemsXMLElemtns[i];
			var meidaNode = null;
			for(var j=0; j<itemElement.childNodes.length; j++){
			     var element = itemElement.childNodes[j];
				 if(element.nodeName=='media'){
				    meidaNode = element;
					var biterate = element.getAttributeNode("bitrate").nodeValue;					
					if(biterate == "1") {
						var highMedia = xml.createElement("highMedia");
						var urlText = xml.createTextNode(element.textContent);
						highMedia.appendChild(urlText);
						itemElement.appendChild(highMedia);
					}else{
						var lowMedia = xml.createElement("lowMedia");
						var urlText = xml.createTextNode(element.textContent);
						lowMedia.appendChild(urlText);
						itemElement.appendChild(lowMedia);
					}
					//remove orignal media node
					itemElement.removeChild(meidaNode);
				 }
			}			
		}
		
		var rss	= $.xml2json(xml);
		WinterClassicPage.wcHighlights = rss.wcHighlights.archives.item;
		WinterClassicPage.hbo = rss.hbo.archives.item;
		WinterClassicPage.liveCam = rss.liveCam;
		
		if(WinterClassicPage.liveCam.live.item.lowMedia || WinterClassicPage.liveCam.archives.item)
		    WinterClassicPage.liveCamVideo = true;

		$('#wcMainContent')[0].innerHTML = WinterClassicPageHTML.menuList();
	},
	loadHiglightsPage:function(){
		 WinterClassicPage.loading();
		 Screens.resizeWinterClassicMainContent();
		 $("#wcNavBar2").hide();
		 WinterClassicPage.showBackButton();
		 $('#wcNavBar').html('Video');
		 $('#wcMainContent')[0].innerHTML = WinterClassicPageHTML.highlights(WinterClassicPage.wcHighlights);
		 if(NHL.googleTracker)NHL.googleTracker.trackEvent('WinterClassicHighlightsPage', 'Load');
	},
	 loadHBOPage:function(){		 
		 $("#wcNavBar2").hide();
		 WinterClassicPage.showBackButton();
		 $('#wcNavBar').html('HBO 24/7');
		 WinterClassicPage.loading();
		 $('#wcMainContent')[0].innerHTML = WinterClassicPageHTML.hboPage(WinterClassicPage.hbo);
		 if(NHL.googleTracker)NHL.googleTracker.trackEvent('WinterClassicHBOPage', 'Load');
	 },
	 loadLiveCamPage:function(){
		 $("#wcNavBar2").hide();
		 WinterClassicPage.showBackButton();
		 $('#wcNavBar').html('Live Web Cam');
		 WinterClassicPage.loading();
		 $('#wcMainContent')[0].innerHTML = WinterClassicPageHTML.oneLiveWebCam(WinterClassicPage.liveCam.live.item) +
		                                     WinterClassicPageHTML.liveWebCams(WinterClassicPage.liveCam.archives.item);
		 if(NHL.googleTracker)NHL.googleTracker.trackEvent('WinterClassicLiveCamPage', 'Load');
	 },
	//End Video Page
	//Begin Fan Guide
	loadFanGuidePage:function(){
		 $("#wcNavBar2").hide();
		 WinterClassicPage.showBackButton();
		 $('#wcNavBar').html('Fan Guide');
		 WinterClassicPage.loading();
		 $('#wcMainContent')[0].innerHTML = WinterClassicPageHTML.fanGuide();
		 if(NHL.googleTracker)NHL.googleTracker.trackEvent('WinterClassicFanGuidePage', 'Load');		 
	},
	//End Fan Guide
	//Begin Wallpaper
	loadWallpaperPage:function(){
		WinterClassicPage.showBackButton();
		$('#wcNavBar').html('Wallpaper');
		WinterClassicPage.loading();
		$('#wcMainContent')[0].innerHTML = WinterClassicPageHTML.wallpaper();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('WinterClassicWallpaperPage', 'Load');
	}
	//End Wallpaper
}

