var DateParser ={
/**
* parse the input string as a date object.
* Format: MM/dd/yyyy hh:mm:ss
* if failure, null will be returned
**/
parseDate:function (input)
{
    var timeArray = input.split(" ");
    if(timeArray.length<2)return null;
    var subarray1 = timeArray[0].split("/");
    var subarray2 = timeArray[1].split(":");
    if(subarray1.length<3)return null;
    if(subarray2.length<3)return null;
        
    var month = Number(subarray1[0]);
    var day = Number(subarray1[1]);
    var year = Number(subarray1[2]);
    var hour = Number(subarray2[0]);
    var minute  = Number(subarray2[1]);
    var second = Number(subarray2[2]);
    
    var date = new Date();
    date.setFullYear(year,month-1,day);
    date.setHours(hour);
    date.setMinutes(minute);
    date.setSeconds(second);    
    return date;
},

/**
* parse the server date object and get the local date object
**/
getLocalDate:function(date)
{
    var EDT = this.isEDT(date);
    var localDate = new Date();
    var localOffset = localDate.getTimezoneOffset();
    var serverOffset = 300;
    if(EDT)serverOffset = 240;
    var totalOffset = localOffset - serverOffset;
    
    localDate.setTime(date.getTime()-totalOffset*60*1000);
    return localDate;
},

/**
* whether two date objects are in the same day.
* precondition: two date objects are just different in timezone, so
* we can just decide the day
**/
sameDay:function(date1, date2)
{
    var day1 = date1.getDate();
    var day2 = date2.getDate();
    if(day1 == day2)return true;
    else return false;
},

isEDT:function(date)
{       
    var dayOfWeek = date.getDay();
    var month = date.getMonth()+1;
    var day = date.getDate();
    
    if(month == 1 || month ==2 || month == 12)return false;
    else if(month == 4 || month ==5 || month == 6|| month == 7 || month == 8 || month == 9 || month == 10)return true;
    else if(month == 3)
    {
        if(this.exceedSecondSunday(day,date))return true;
        else return false;
     }
    else if(month == 11)
    {
        if(this.exceedFirstSunday(day,date))return false;
        else return true;
    }
    return true;    
},

exceedSecondSunday:function(day, date)
{
    var tempDate = new Date();
    tempDate.setFullYear(date.getFullYear());
    tempDate.setMonth(date.getMonth());
    tempDate.setDate(1);    
    var tempDayOfWeek = tempDate.getDay();
    var secondSunday;
    
    if(tempDayOfWeek == 0)secondSunday = 8;
    else if(tempDayOfWeek == 1)secondSunday = 14;
    else if(tempDayOfWeek == 2)secondSunday = 13;
    else if(tempDayOfWeek == 3)secondSunday = 12;
    else if(tempDayOfWeek == 4)secondSunday = 11;
    else if(tempDayOfWeek == 5)secondSunday = 10;
    else if(tempDayOfWeek == 6)secondSunday = 9;
    if(day >= secondSunday)return true;
    else return false;    
},

exceedFirstSunday:function(day, date)
{  
    var tempDate = new Date();
    tempDate.setFullYear(date.getFullYear());
    tempDate.setMonth(date.getMonth());
    tempDate.setDate(1);
    var tempDayOfWeek = tempDate.getDay();
    var firstSunday;
    
    if(tempDayOfWeek == 0)firstSunday = 1;
    else if(tempDayOfWeek == 1)firstSunday = 7;
    else if(tempDayOfWeek == 2)firstSunday = 6;
    else if(tempDayOfWeek == 3)firstSunday = 5;
    else if(tempDayOfWeek == 4)firstSunday = 4;
    else if(tempDayOfWeek == 5)firstSunday = 3;
    else if(tempDayOfWeek == 6)firstSunday = 2;
    if(day >= firstSunday)return true;
    else return false;    
}
};